(function () {
  // Add ui note classes to code blocks
  var blocks = document.querySelectorAll('.highlight')
  blocks.forEach(function (element) {
    element.classList.add('ui', 'note', 'cli')
  })
  
  var inline = document.querySelectorAll('.docutils.literal')
  inline.forEach(function (element) {
    element.classList.add('ui', 'inline-code')
  })

  // Removing custom character in header links
  var links = document.querySelectorAll('.headerlink')
  links.forEach(function (element) {
    element.innerText = ''
  })

  // Add ui table classes to tables
  var tables = document.querySelectorAll('table')
  tables.forEach(function (element) {
    element.classList.add('ui', 'table')
  })
})()
