# BomCheckCollection

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**odata_id** | **str** |  | 
**odata_type** | **str** | The type of a resource. | 
**name** | **str** |  | 
**run_info** | [**RunInfo**](RunInfo.md) |  | 
**bom_checks** | **dict(str, list[BomCheck])** | A map with system check name as key and array of system checks | 
**system_details** | [**SystemInfo**](SystemInfo.md) |  | 
**bom_check_collection_summary** | [**BomCheckCollectionSummary**](BomCheckCollectionSummary.md) |  | 
**general_summary** | **str** | Details about dump health and opening a case. | 
**aux_info** | **str** | Additional info on the platform. | [optional] 
**disabled_checks** | **list[str]** | List of subsystems and systems checks which got disabled. | 
**sample_bom_check** | [**BomCheck**](BomCheck.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


