# Chassis

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**odata_context** | **str** | The OData description of a payload. | [optional] 
**odata_etag** | **str** | The current ETag of the resource. | [optional] 
**odata_id** | **str** | The unique identifier for a resource. | 
**odata_type** | **str** | The type of a resource. | 
**actions** | [**Actions2**](Actions2.md) |  | [optional] 
**assembly** | [**IdRef**](IdRef.md) |  | [optional] 
**asset_tag** | **str** | The user assigned asset tag of this chassis. | [optional] 
**chassis_type** | [**ChassisType**](ChassisType.md) |  | 
**depth_mm** | **float** | The depth of the chassis. | [optional] 
**description** | **str** | The description of this resource.  Used for commonality in the schema definitions. | [optional] 
**environmental_class** | [**EnvironmentalClass**](EnvironmentalClass.md) |  | [optional] 
**height_mm** | **float** | The height of the chassis. | [optional] 
**id** | **str** | The identifier that uniquely identifies the resource within the collection of similar resources. | 
**indicator_led** | [**IndicatorLED2**](IndicatorLED2.md) |  | [optional] 
**links** | [**Links2**](Links2.md) |  | [optional] 
**location** | [**Location**](Location.md) |  | [optional] 
**log_services** | [**IdRef**](IdRef.md) |  | [optional] 
**manufacturer** | **str** | The manufacturer of this chassis. | [optional] 
**model** | **str** | The model number of the chassis. | [optional] 
**name** | **str** | The name of the resource or array member. | 
**network_adapters** | [**IdRef**](IdRef.md) |  | [optional] 
**oem** | **dict(str, object)** | The OEM extension. | [optional] 
**pc_ie_slots** | [**IdRef**](IdRef.md) |  | [optional] 
**part_number** | **str** | The part number of the chassis. | [optional] 
**physical_security** | [**PhysicalSecurity**](PhysicalSecurity.md) |  | [optional] 
**power** | [**IdRef**](IdRef.md) |  | [optional] 
**power_state** | [**PowerState2**](PowerState2.md) |  | [optional] 
**sku** | **str** | The SKU of the chassis. | [optional] 
**sensors** | [**IdRef**](IdRef.md) |  | [optional] 
**serial_number** | **str** | The serial number of the chassis. | [optional] 
**status** | [**Status**](Status.md) |  | [optional] 
**thermal** | [**IdRef**](IdRef.md) |  | [optional] 
**uuid** | **str** |  | [optional] 
**weight_kg** | **float** | The weight of the chassis. | [optional] 
**width_mm** | **float** | The width of the chassis. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


