# ComputerSystemCollection

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**odata_context** | **str** | The OData description of a payload. | [optional] 
**odata_etag** | **str** | The current ETag of the resource. | [optional] 
**odata_id** | **str** | The unique identifier for a resource. | 
**odata_type** | **str** | The type of a resource. | 
**description** | **str** | The description of this resource.  Used for commonality in the schema definitions. | [optional] 
**members** | [**list[IdRef2]**](IdRef2.md) | The members of this collection. | 
**membersodata_count** | **int** | The number of items in a collection. | 
**membersodata_next_link** | **str** | The URI to the resource containing the next set of partial members. | [optional] 
**name** | **str** | The name of the resource or array member. | 
**oem** | **dict(str, object)** | The OEM extension. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


