# FPGA

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**external_interfaces** | [**list[FpgaInterface]**](FpgaInterface.md) | An array of the FPGA external interfaces. | [optional] 
**firmware_id** | **str** | The FPGA firmware identifier. | [optional] 
**firmware_manufacturer** | **str** | The FPGA firmware manufacturer. | [optional] 
**firmware_version** | **str** | The FPGA firmware version. | [optional] 
**fpga_type** | [**FpgaType**](FpgaType.md) |  | [optional] 
**host_interface** | [**FpgaInterface**](FpgaInterface.md) |  | [optional] 
**model** | **str** | The FPGA model. | [optional] 
**oem** | **dict(str, object)** | The OEM extension. | [optional] 
**pc_ie_virtual_functions** | **int** | The number of the PCIe Virtual Functions. | [optional] 
**programmable_from_host** | **bool** | This flag indicates if the FPGA firmware can be reprogrammed from the host using system software. | [optional] 
**reconfiguration_slots** | [**list[FpgaReconfigurationSlot]**](FpgaReconfigurationSlot.md) | An array of the FPGA reconfiguration slots.  A reconfiguration slot is used by an FPGA to contain an acceleration function that can change as the FPGA is being provisioned. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


