# Fan

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**odata_id** | **str** | The unique identifier for a resource. | 
**actions** | [**FanActions**](FanActions.md) |  | [optional] 
**assembly** | [**IdRef**](IdRef.md) |  | [optional] 
**fan_name** | **str** | Name of the fan. | [optional] 
**hot_pluggable** | **bool** | Indicates if this device can be inserted or removed while the equipment is in operation. | [optional] 
**indicator_led** | [**IndicatorLED2**](IndicatorLED2.md) |  | [optional] 
**location** | [**Location**](Location.md) |  | [optional] 
**lower_threshold_critical** | **int** | Below normal range but not yet fatal. | [optional] 
**lower_threshold_fatal** | **int** | Below normal range and is fatal. | [optional] 
**lower_threshold_non_critical** | **int** | Below normal range. | [optional] 
**manufacturer** | **str** | This is the manufacturer of this Fan. | [optional] 
**max_reading_range** | **int** | Maximum value for Reading. | [optional] 
**member_id** | **str** | This is the identifier for the member within the collection. | 
**min_reading_range** | **int** | Minimum value for Reading. | [optional] 
**model** | **str** | The model number for this Fan. | [optional] 
**name** | **str** | Name of the fan. | [optional] 
**oem** | **dict(str, object)** | The OEM extension. | [optional] 
**part_number** | **str** | The part number for this Fan. | [optional] 
**physical_context** | [**IdRef**](IdRef.md) |  | [optional] 
**reading** | **int** | Current fan speed. | [optional] 
**reading_units** | [**ReadingUnits**](ReadingUnits.md) |  | [optional] 
**redundancy** | [**list[IdRef]**](IdRef.md) | This structure is used to show redundancy for fans.  The Component ids will reference the members of the redundancy groups. | [optional] 
**redundancyodata_count** | **int** | The number of items in a collection. | [optional] 
**related_item** | [**list[IdRef]**](IdRef.md) | The ID(s) of the resources serviced with this fan. | [optional] 
**related_itemodata_count** | **int** | The number of items in a collection. | [optional] 
**sensor_number** | **int** | A numerical identifier to represent the fan speed sensor. | [optional] 
**serial_number** | **str** | The serial number for this Fan. | [optional] 
**spare_part_number** | **str** | The spare part number for this Fan. | [optional] 
**status** | [**Status**](Status.md) |  | [optional] 
**upper_threshold_critical** | **int** | Above normal range but not yet fatal. | [optional] 
**upper_threshold_fatal** | **int** | Above normal range and is fatal. | [optional] 
**upper_threshold_non_critical** | **int** | Above normal range. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


