# Message

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**message** | **str** | This is the human readable message, if provided. | [optional] 
**message_args** | **list[str]** | This array of message arguments are substituted for the arguments in the message when looked up in the message registry. | [optional] 
**message_id** | **str** | This is the key for this message which can be used to look up the message in a message registry. | 
**oem** | **dict(str, object)** | The OEM extension. | [optional] 
**related_properties** | **list[str]** | This is an array of properties described by the message. | [optional] 
**resolution** | **str** | Used to provide suggestions on how to resolve the situation that caused the error. | [optional] 
**severity** | **str** | This is the severity of the errors. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


