# NetworkAdapter

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**odata_context** | **str** | The OData description of a payload. | [optional] 
**odata_etag** | **str** | The current ETag of the resource. | [optional] 
**odata_id** | **str** | The unique identifier for a resource. | 
**odata_type** | **str** | The type of a resource. | 
**actions** | [**Actions2**](Actions2.md) |  | [optional] 
**assembly** | [**IdRef**](IdRef.md) |  | [optional] 
**controllers** | [**list[Controllers]**](Controllers.md) | The set of network controllers ASICs that make up this NetworkAdapter. | [optional] 
**description** | **str** | The description of this resource.  Used for commonality in the schema definitions. | [optional] 
**id** | **str** | The identifier that uniquely identifies the resource within the collection of similar resources. | 
**manufacturer** | **str** | The manufacturer or OEM of this network adapter. | [optional] 
**model** | **str** | The model string for this network adapter. | [optional] 
**name** | **str** | The name of the resource or array member. | 
**network_device_functions** | [**IdRef**](IdRef.md) |  | [optional] 
**network_ports** | [**IdRef**](IdRef.md) |  | [optional] 
**oem** | **dict(str, object)** | The OEM extension. | [optional] 
**part_number** | **str** | Part number for this network adapter. | [optional] 
**sku** | **str** | The manufacturer SKU for this network adapter. | [optional] 
**serial_number** | **str** | The serial number for this network adapter. | [optional] 
**status** | [**Status**](Status.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


