# NetworkDeviceFunction

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**odata_context** | **str** | The OData description of a payload. | [optional] 
**odata_etag** | **str** | The current ETag of the resource. | [optional] 
**odata_id** | **str** | The unique identifier for a resource. | 
**odata_type** | **str** | The type of a resource. | 
**actions** | [**Actions2**](Actions2.md) |  | [optional] 
**assignable_physical_ports** | [**list[IdRef2]**](IdRef2.md) | The array of physical port references that this network device function may be assigned to. | [optional] 
**assignable_physical_portsodata_count** | **int** | The number of items in a collection. | [optional] 
**boot_mode** | [**BootMode**](BootMode.md) |  | [optional] 
**description** | **str** | The description of this resource.  Used for commonality in the schema definitions. | [optional] 
**device_enabled** | **bool** | Whether the network device function is enabled. | [optional] 
**ethernet** | [**Ethernet**](Ethernet.md) |  | [optional] 
**fibre_channel** | [**FibreChannel**](FibreChannel.md) |  | [optional] 
**id** | **str** | The identifier that uniquely identifies the resource within the collection of similar resources. | 
**links** | [**Links2**](Links2.md) |  | [optional] 
**max_virtual_functions** | **int** | The number of virtual functions (VFs) that are available for this Network Device Function. | [optional] 
**name** | **str** | The name of the resource or array member. | 
**net_dev_func_capabilities** | [**list[NetworkDeviceTechnology]**](NetworkDeviceTechnology.md) | Capabilities of this network device function. | [optional] 
**net_dev_func_type** | [**NetworkDeviceTechnology**](NetworkDeviceTechnology.md) |  | [optional] 
**oem** | **dict(str, object)** | The OEM extension. | [optional] 
**physical_port_assignment** | [**IdRef2**](IdRef2.md) |  | [optional] 
**status** | [**Status**](Status.md) |  | [optional] 
**virtual_functions_enabled** | **bool** | Whether Single Root I/O Virtualization (SR-IOV) Virual Functions (VFs) are enabled for this Network Device Function. | [optional] 
**i_scsi_boot** | [**ISCSIBoot**](ISCSIBoot.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


