# NetworkInterface

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**odata_context** | **str** | The OData description of a payload. | [optional] 
**odata_etag** | **str** | The current ETag of the resource. | [optional] 
**odata_id** | **str** | The unique identifier for a resource. | 
**odata_type** | **str** | The type of a resource. | 
**actions** | [**Actions2**](Actions2.md) |  | [optional] 
**description** | **str** | The description of this resource.  Used for commonality in the schema definitions. | [optional] 
**id** | **str** | The identifier that uniquely identifies the resource within the collection of similar resources. | 
**links** | [**Links2**](Links2.md) |  | [optional] 
**name** | **str** | The name of the resource or array member. | 
**network_device_functions** | [**IdRef2**](IdRef2.md) |  | [optional] 
**network_ports** | [**IdRef2**](IdRef2.md) |  | [optional] 
**oem** | **dict(str, object)** | The OEM extension. | [optional] 
**status** | [**Status**](Status.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


