# PCIeError

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**odata_type** | **str** | The type of a resource. | 
**bus** | [**Byte**](Byte.md) | Bus on which the error occurred. | 
**device** | [**Byte**](Byte.md) | Device on which the error occurred. | 
**device_id** | **int** | DeviceID of PCIe device. | 
**error_time_stamp** | **str** | Timestamp of the log in Sel record list. | 
**first_pcie_error** | **str** | The first error. | 
**function** | [**Byte**](Byte.md) | Function on which the error occurred. | 
**raw_error_data** | [**RawError2**](RawError2.md) |  | 
**second_pcie_error** | **str** | The second error. | 
**vendor_id** | **int** | Vendor ID for the Memory device. | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


