# PCIeInf

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**device_type** | **str** | This is device type. | 
**is_accessible** | **bool** | This is device flag showing if the device is accessible via PCIe bus. | 
**lanes_in_use** | **int** | This is the number of PCIe lanes in use by this device. | 
**max_lanes** | **int** | This is the number of PCIe lanes supported by this device. | 
**max_pc_ie_type** | **str** | The highest version of the PCIe specification supported by this device. | 
**pc_ie_type** | **str** | The version of the PCIe specification in use by this device. | 
**current_speed** | **int** | This is the current speed running in the PCIe lanes. | 
**current_width** | **int** | This is the current width used in the PCIe lanes. | 
**expected_lanes** | **int** | The expected number of PCIe lanes. | 
**expected_speed** | **int** | The expected speed of PCIe lanes. | 
**parent_child** | [**PCIeParentChildInf**](PCIeParentChildInf.md) |  | 
**slot** | [**PCIeSlot**](PCIeSlot.md) |  | 
**pc_ie_device_id** | [**PCIeDeviceID**](PCIeDeviceID.md) |  | [optional] 
**performance_state** | **int** | GPU Performance State | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


