# PagerDutyOp

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**start_time** | **str** | Property indicates the UTC time at which the operation was triggered | 
**state** | [**OpState2**](OpState2.md) |  | 
**message** | **str** | Property provides a more descriptive status of the operation that is in progress. | 
**description** | **str** | Property sets the user provided comments for which the pagerduty is triggered. | 
**service_key** | **str** | Property sets the user provided ServiceKey when the pagerduty is triggered. | 
**diag_test** | **bool** | Property used to trigger diagnostic test for callhome. | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


