# Power

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**odata_context** | **str** | The OData description of a payload. | [optional] 
**odata_etag** | **str** | The current ETag of the resource. | [optional] 
**odata_id** | **str** | The unique identifier for a resource. | 
**odata_type** | **str** | The type of a resource. | 
**actions** | [**Actions2**](Actions2.md) |  | [optional] 
**description** | **str** | The description of this resource.  Used for commonality in the schema definitions. | [optional] 
**id** | **str** | The identifier that uniquely identifies the resource within the collection of similar resources. | 
**name** | **str** | The name of the resource or array member. | 
**oem** | **dict(str, object)** | The OEM extension. | [optional] 
**power_control** | [**list[PowerControl]**](PowerControl.md) | This is the definition for power control function (power reading/limiting). | [optional] 
**power_controlodata_count** | **int** | The number of items in a collection. | [optional] 
**power_supplies** | [**list[PowerSupply]**](PowerSupply.md) | Details of the power supplies associated with this system or device. | [optional] 
**power_suppliesodata_count** | **int** | The number of items in a collection. | [optional] 
**redundancy** | [**list[IdRef]**](IdRef.md) | Redundancy information for the power subsystem of this system or device. | [optional] 
**redundancyodata_count** | **int** | The number of items in a collection. | [optional] 
**voltages** | [**list[Voltage]**](Voltage.md) | This is the definition for voltage sensors. | [optional] 
**voltagesodata_count** | **int** | The number of items in a collection. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


