# Power2

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**power_draw** | **str** | The last measured power draw for the entire board, in watts. | 
**power_limit** | **str** | The software power limit, in watts. | 
**power_limit_default** | **str** | The default power management algorithm&#39;s power ceiling, in watts. | 
**power_limit_enforced** | **str** | The power management algorithm&#39;s power ceiling, in watts. | 
**power_limit_max** | **str** | The maximum value in watts that power limit can be set to. Only on supported devices from Kepler family. | 
**power_limit_min** | **str** | The minimum value in watts that power limit can be set to. Only on supported devices from Kepler family. | 
**power_management_support** | **str** | A flag that indicates whether power management is enabled. Either \&quot;Supported\&quot; or \&quot;N/A\&quot;. Requires Inforom PWR object version 3.0 or higher or Kepler device. | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


