# nvsm_sdk.RedfishApi

All URIs are relative to *https://127.0.0.1:273*

Method | HTTP request | Description
------------- | ------------- | -------------
[**nvsm_v1_jobs_job_id_get**](RedfishApi.md#nvsm_v1_jobs_job_id_get) | **GET** /nvsm/v1/Jobs/{JobId} | 
[**redfish_v1_chassis_chassis_id_actions_chassis_reset_post**](RedfishApi.md#redfish_v1_chassis_chassis_id_actions_chassis_reset_post) | **POST** /redfish/v1/Chassis/{ChassisId}/Actions/Chassis.Reset | 
[**redfish_v1_chassis_chassis_id_get**](RedfishApi.md#redfish_v1_chassis_chassis_id_get) | **GET** /redfish/v1/Chassis/{ChassisId} | 
[**redfish_v1_chassis_chassis_id_network_adapters_get**](RedfishApi.md#redfish_v1_chassis_chassis_id_network_adapters_get) | **GET** /redfish/v1/Chassis/{ChassisId}/NetworkAdapters | 
[**redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_get**](RedfishApi.md#redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_get) | **GET** /redfish/v1/Chassis/{ChassisId}/NetworkAdapters/{NetworkAdapterId} | 
[**redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_device_functions_get**](RedfishApi.md#redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_device_functions_get) | **GET** /redfish/v1/Chassis/{ChassisId}/NetworkAdapters/{NetworkAdapterId}/NetworkDeviceFunctions | 
[**redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_device_functions_net_dev_func_id_get**](RedfishApi.md#redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_device_functions_net_dev_func_id_get) | **GET** /redfish/v1/Chassis/{ChassisId}/NetworkAdapters/{NetworkAdapterId}/NetworkDeviceFunctions/{NetDevFuncId} | 
[**redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_device_functions_net_dev_func_id_patch**](RedfishApi.md#redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_device_functions_net_dev_func_id_patch) | **PATCH** /redfish/v1/Chassis/{ChassisId}/NetworkAdapters/{NetworkAdapterId}/NetworkDeviceFunctions/{NetDevFuncId} | 
[**redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_device_functions_net_dev_func_id_put**](RedfishApi.md#redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_device_functions_net_dev_func_id_put) | **PUT** /redfish/v1/Chassis/{ChassisId}/NetworkAdapters/{NetworkAdapterId}/NetworkDeviceFunctions/{NetDevFuncId} | 
[**redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_ports_get**](RedfishApi.md#redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_ports_get) | **GET** /redfish/v1/Chassis/{ChassisId}/NetworkAdapters/{NetworkAdapterId}/NetworkPorts | 
[**redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_ports_network_port_id_get**](RedfishApi.md#redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_ports_network_port_id_get) | **GET** /redfish/v1/Chassis/{ChassisId}/NetworkAdapters/{NetworkAdapterId}/NetworkPorts/{NetworkPortId} | 
[**redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_ports_network_port_id_patch**](RedfishApi.md#redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_ports_network_port_id_patch) | **PATCH** /redfish/v1/Chassis/{ChassisId}/NetworkAdapters/{NetworkAdapterId}/NetworkPorts/{NetworkPortId} | 
[**redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_ports_network_port_id_put**](RedfishApi.md#redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_ports_network_port_id_put) | **PUT** /redfish/v1/Chassis/{ChassisId}/NetworkAdapters/{NetworkAdapterId}/NetworkPorts/{NetworkPortId} | 
[**redfish_v1_chassis_chassis_id_patch**](RedfishApi.md#redfish_v1_chassis_chassis_id_patch) | **PATCH** /redfish/v1/Chassis/{ChassisId} | 
[**redfish_v1_chassis_chassis_id_post**](RedfishApi.md#redfish_v1_chassis_chassis_id_post) | **POST** /redfish/v1/Chassis/{ChassisId} | 
[**redfish_v1_chassis_chassis_id_power_get**](RedfishApi.md#redfish_v1_chassis_chassis_id_power_get) | **GET** /redfish/v1/Chassis/{ChassisId}/Power | 
[**redfish_v1_chassis_chassis_id_thermal_get**](RedfishApi.md#redfish_v1_chassis_chassis_id_thermal_get) | **GET** /redfish/v1/Chassis/{ChassisId}/Thermal | 
[**redfish_v1_chassis_get**](RedfishApi.md#redfish_v1_chassis_get) | **GET** /redfish/v1/Chassis | 
[**redfish_v1_get**](RedfishApi.md#redfish_v1_get) | **GET** /redfish/v1 | 
[**redfish_v1_managers_get**](RedfishApi.md#redfish_v1_managers_get) | **GET** /redfish/v1/Managers | 
[**redfish_v1_managers_manager_id_ethernet_interfaces_ethernet_interface_id_get**](RedfishApi.md#redfish_v1_managers_manager_id_ethernet_interfaces_ethernet_interface_id_get) | **GET** /redfish/v1/Managers/{ManagerId}/EthernetInterfaces/{EthernetInterfaceId} | 
[**redfish_v1_managers_manager_id_ethernet_interfaces_ethernet_interface_id_patch**](RedfishApi.md#redfish_v1_managers_manager_id_ethernet_interfaces_ethernet_interface_id_patch) | **PATCH** /redfish/v1/Managers/{ManagerId}/EthernetInterfaces/{EthernetInterfaceId} | 
[**redfish_v1_managers_manager_id_ethernet_interfaces_ethernet_interface_id_put**](RedfishApi.md#redfish_v1_managers_manager_id_ethernet_interfaces_ethernet_interface_id_put) | **PUT** /redfish/v1/Managers/{ManagerId}/EthernetInterfaces/{EthernetInterfaceId} | 
[**redfish_v1_managers_manager_id_ethernet_interfaces_get**](RedfishApi.md#redfish_v1_managers_manager_id_ethernet_interfaces_get) | **GET** /redfish/v1/Managers/{ManagerId}/EthernetInterfaces | 
[**redfish_v1_managers_manager_id_get**](RedfishApi.md#redfish_v1_managers_manager_id_get) | **GET** /redfish/v1/Managers/{ManagerId} | 
[**redfish_v1_managers_manager_id_patch**](RedfishApi.md#redfish_v1_managers_manager_id_patch) | **PATCH** /redfish/v1/Managers/{ManagerId} | 
[**redfish_v1_managers_manager_id_put**](RedfishApi.md#redfish_v1_managers_manager_id_put) | **PUT** /redfish/v1/Managers/{ManagerId} | 
[**redfish_v1_systems_computer_system_id_get**](RedfishApi.md#redfish_v1_systems_computer_system_id_get) | **GET** /redfish/v1/Systems/{ComputerSystemId} | 
[**redfish_v1_systems_computer_system_id_memory_get**](RedfishApi.md#redfish_v1_systems_computer_system_id_memory_get) | **GET** /redfish/v1/Systems/{ComputerSystemId}/Memory | 
[**redfish_v1_systems_computer_system_id_memory_memory_id_get**](RedfishApi.md#redfish_v1_systems_computer_system_id_memory_memory_id_get) | **GET** /redfish/v1/Systems/{ComputerSystemId}/Memory/{MemoryId} | 
[**redfish_v1_systems_computer_system_id_network_interfaces_get**](RedfishApi.md#redfish_v1_systems_computer_system_id_network_interfaces_get) | **GET** /redfish/v1/Systems/{ComputerSystemId}/NetworkInterfaces | 
[**redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_get**](RedfishApi.md#redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_get) | **GET** /redfish/v1/Systems/{ComputerSystemId}/NetworkInterfaces/{NetworkInterfaceId} | 
[**redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_device_functions_get**](RedfishApi.md#redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_device_functions_get) | **GET** /redfish/v1/Systems/{ComputerSystemId}/NetworkInterfaces/{NetworkInterfaceId}/NetworkDeviceFunctions | 
[**redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_device_functions_net_dev_func_id_get**](RedfishApi.md#redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_device_functions_net_dev_func_id_get) | **GET** /redfish/v1/Systems/{ComputerSystemId}/NetworkInterfaces/{NetworkInterfaceId}/NetworkDeviceFunctions/{NetDevFuncId} | 
[**redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_device_functions_net_dev_func_id_patch**](RedfishApi.md#redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_device_functions_net_dev_func_id_patch) | **PATCH** /redfish/v1/Systems/{ComputerSystemId}/NetworkInterfaces/{NetworkInterfaceId}/NetworkDeviceFunctions/{NetDevFuncId} | 
[**redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_device_functions_net_dev_func_id_put**](RedfishApi.md#redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_device_functions_net_dev_func_id_put) | **PUT** /redfish/v1/Systems/{ComputerSystemId}/NetworkInterfaces/{NetworkInterfaceId}/NetworkDeviceFunctions/{NetDevFuncId} | 
[**redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_ports_get**](RedfishApi.md#redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_ports_get) | **GET** /redfish/v1/Systems/{ComputerSystemId}/NetworkInterfaces/{NetworkInterfaceId}/NetworkPorts | 
[**redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_ports_network_port_id_get**](RedfishApi.md#redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_ports_network_port_id_get) | **GET** /redfish/v1/Systems/{ComputerSystemId}/NetworkInterfaces/{NetworkInterfaceId}/NetworkPorts/{NetworkPortId} | 
[**redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_ports_network_port_id_patch**](RedfishApi.md#redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_ports_network_port_id_patch) | **PATCH** /redfish/v1/Systems/{ComputerSystemId}/NetworkInterfaces/{NetworkInterfaceId}/NetworkPorts/{NetworkPortId} | 
[**redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_ports_network_port_id_put**](RedfishApi.md#redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_ports_network_port_id_put) | **PUT** /redfish/v1/Systems/{ComputerSystemId}/NetworkInterfaces/{NetworkInterfaceId}/NetworkPorts/{NetworkPortId} | 
[**redfish_v1_systems_computer_system_id_processors_get**](RedfishApi.md#redfish_v1_systems_computer_system_id_processors_get) | **GET** /redfish/v1/Systems/{ComputerSystemId}/Processors | 
[**redfish_v1_systems_computer_system_id_processors_processor_id_get**](RedfishApi.md#redfish_v1_systems_computer_system_id_processors_processor_id_get) | **GET** /redfish/v1/Systems/{ComputerSystemId}/Processors/{ProcessorId} | 
[**redfish_v1_systems_computer_system_id_storage_get**](RedfishApi.md#redfish_v1_systems_computer_system_id_storage_get) | **GET** /redfish/v1/Systems/{ComputerSystemId}/Storage | 
[**redfish_v1_systems_computer_system_id_storage_storage_id_drives_drive_id_get**](RedfishApi.md#redfish_v1_systems_computer_system_id_storage_storage_id_drives_drive_id_get) | **GET** /redfish/v1/Systems/{ComputerSystemId}/Storage/{StorageId}/Drives/{DriveId} | 
[**redfish_v1_systems_computer_system_id_storage_storage_id_get**](RedfishApi.md#redfish_v1_systems_computer_system_id_storage_storage_id_get) | **GET** /redfish/v1/Systems/{ComputerSystemId}/Storage/{StorageId} | 
[**redfish_v1_systems_computer_system_id_storage_storage_id_volumes_get**](RedfishApi.md#redfish_v1_systems_computer_system_id_storage_storage_id_volumes_get) | **GET** /redfish/v1/Systems/{ComputerSystemId}/Storage/{StorageId}/Volumes | 
[**redfish_v1_systems_computer_system_id_storage_storage_id_volumes_volume_id_get**](RedfishApi.md#redfish_v1_systems_computer_system_id_storage_storage_id_volumes_volume_id_get) | **GET** /redfish/v1/Systems/{ComputerSystemId}/Storage/{StorageId}/Volumes/{VolumeId} | 
[**redfish_v1_systems_get**](RedfishApi.md#redfish_v1_systems_get) | **GET** /redfish/v1/Systems | 


# **nvsm_v1_jobs_job_id_get**
> JobStatus nvsm_v1_jobs_job_id_get(job_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
job_id = 'job_id_example' # str | ID of the job whose details are expected

try:
    api_response = api_instance.nvsm_v1_jobs_job_id_get(job_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->nvsm_v1_jobs_job_id_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **job_id** | **str**| ID of the job whose details are expected | 

### Return type

[**JobStatus**](JobStatus.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_chassis_chassis_id_actions_chassis_reset_post**
> RedfishError redfish_v1_chassis_chassis_id_actions_chassis_reset_post(chassis_id, reset_request_body)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
chassis_id = 'chassis_id_example' # str | The value of the Id property of the Chassis resource
reset_request_body = nvsm_sdk.ResetRequestBody() # ResetRequestBody | 

try:
    api_response = api_instance.redfish_v1_chassis_chassis_id_actions_chassis_reset_post(chassis_id, reset_request_body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_chassis_chassis_id_actions_chassis_reset_post: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **chassis_id** | **str**| The value of the Id property of the Chassis resource | 
 **reset_request_body** | [**ResetRequestBody**](ResetRequestBody.md)|  | 

### Return type

[**RedfishError**](RedfishError.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_chassis_chassis_id_get**
> Chassis redfish_v1_chassis_chassis_id_get(chassis_id, force_refresh=force_refresh)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
chassis_id = 'chassis_id_example' # str | The value of the Id property of the Chassis resource
force_refresh = True # bool | Force refresh (optional)

try:
    api_response = api_instance.redfish_v1_chassis_chassis_id_get(chassis_id, force_refresh=force_refresh)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_chassis_chassis_id_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **chassis_id** | **str**| The value of the Id property of the Chassis resource | 
 **force_refresh** | **bool**| Force refresh | [optional] 

### Return type

[**Chassis**](Chassis.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_chassis_chassis_id_network_adapters_get**
> NetworkAdapterCollection redfish_v1_chassis_chassis_id_network_adapters_get(chassis_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
chassis_id = 'chassis_id_example' # str | The value of the Id property of the Chassis resource

try:
    api_response = api_instance.redfish_v1_chassis_chassis_id_network_adapters_get(chassis_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_chassis_chassis_id_network_adapters_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **chassis_id** | **str**| The value of the Id property of the Chassis resource | 

### Return type

[**NetworkAdapterCollection**](NetworkAdapterCollection.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_get**
> NetworkAdapter redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_get(chassis_id, network_adapter_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
chassis_id = 'chassis_id_example' # str | The value of the Id property of the Chassis resource
network_adapter_id = 'network_adapter_id_example' # str | The value of the Id property of the NetworkAdapter resource

try:
    api_response = api_instance.redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_get(chassis_id, network_adapter_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **chassis_id** | **str**| The value of the Id property of the Chassis resource | 
 **network_adapter_id** | **str**| The value of the Id property of the NetworkAdapter resource | 

### Return type

[**NetworkAdapter**](NetworkAdapter.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_device_functions_get**
> NetworkDeviceFunctionCollection redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_device_functions_get(chassis_id, network_adapter_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
chassis_id = 'chassis_id_example' # str | The value of the Id property of the Chassis resource
network_adapter_id = 'network_adapter_id_example' # str | The value of the Id property of the NetworkAdapter resource

try:
    api_response = api_instance.redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_device_functions_get(chassis_id, network_adapter_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_device_functions_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **chassis_id** | **str**| The value of the Id property of the Chassis resource | 
 **network_adapter_id** | **str**| The value of the Id property of the NetworkAdapter resource | 

### Return type

[**NetworkDeviceFunctionCollection**](NetworkDeviceFunctionCollection.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_device_functions_net_dev_func_id_get**
> NetworkDeviceFunction redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_device_functions_net_dev_func_id_get(chassis_id, network_adapter_id, net_dev_func_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
chassis_id = 'chassis_id_example' # str | The value of the Id property of the Chassis resource
network_adapter_id = 'network_adapter_id_example' # str | The value of the Id property of the NetworkAdapter resource
net_dev_func_id = 'net_dev_func_id_example' # str | The value of the Id property of the NetworkDeviceFunction resource

try:
    api_response = api_instance.redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_device_functions_net_dev_func_id_get(chassis_id, network_adapter_id, net_dev_func_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_device_functions_net_dev_func_id_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **chassis_id** | **str**| The value of the Id property of the Chassis resource | 
 **network_adapter_id** | **str**| The value of the Id property of the NetworkAdapter resource | 
 **net_dev_func_id** | **str**| The value of the Id property of the NetworkDeviceFunction resource | 

### Return type

[**NetworkDeviceFunction**](NetworkDeviceFunction.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_device_functions_net_dev_func_id_patch**
> NetworkDeviceFunction redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_device_functions_net_dev_func_id_patch(chassis_id, network_adapter_id, net_dev_func_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
chassis_id = 'chassis_id_example' # str | The value of the Id property of the Chassis resource
network_adapter_id = 'network_adapter_id_example' # str | The value of the Id property of the NetworkAdapter resource
net_dev_func_id = 'net_dev_func_id_example' # str | The value of the Id property of the NetworkDeviceFunction resource

try:
    api_response = api_instance.redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_device_functions_net_dev_func_id_patch(chassis_id, network_adapter_id, net_dev_func_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_device_functions_net_dev_func_id_patch: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **chassis_id** | **str**| The value of the Id property of the Chassis resource | 
 **network_adapter_id** | **str**| The value of the Id property of the NetworkAdapter resource | 
 **net_dev_func_id** | **str**| The value of the Id property of the NetworkDeviceFunction resource | 

### Return type

[**NetworkDeviceFunction**](NetworkDeviceFunction.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_device_functions_net_dev_func_id_put**
> NetworkDeviceFunction redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_device_functions_net_dev_func_id_put(chassis_id, network_adapter_id, net_dev_func_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
chassis_id = 'chassis_id_example' # str | The value of the Id property of the Chassis resource
network_adapter_id = 'network_adapter_id_example' # str | The value of the Id property of the NetworkAdapter resource
net_dev_func_id = 'net_dev_func_id_example' # str | The value of the Id property of the NetworkDeviceFunction resource

try:
    api_response = api_instance.redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_device_functions_net_dev_func_id_put(chassis_id, network_adapter_id, net_dev_func_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_device_functions_net_dev_func_id_put: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **chassis_id** | **str**| The value of the Id property of the Chassis resource | 
 **network_adapter_id** | **str**| The value of the Id property of the NetworkAdapter resource | 
 **net_dev_func_id** | **str**| The value of the Id property of the NetworkDeviceFunction resource | 

### Return type

[**NetworkDeviceFunction**](NetworkDeviceFunction.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_ports_get**
> NetworkPortCollection redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_ports_get(chassis_id, network_adapter_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
chassis_id = 'chassis_id_example' # str | The value of the Id property of the Chassis resource
network_adapter_id = 'network_adapter_id_example' # str | The value of the Id property of the NetworkAdapter resource

try:
    api_response = api_instance.redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_ports_get(chassis_id, network_adapter_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_ports_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **chassis_id** | **str**| The value of the Id property of the Chassis resource | 
 **network_adapter_id** | **str**| The value of the Id property of the NetworkAdapter resource | 

### Return type

[**NetworkPortCollection**](NetworkPortCollection.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_ports_network_port_id_get**
> NetworkPort redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_ports_network_port_id_get(chassis_id, network_adapter_id, network_port_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
chassis_id = 'chassis_id_example' # str | The value of the Id property of the Chassis resource
network_adapter_id = 'network_adapter_id_example' # str | The value of the Id property of the NetworkAdapter resource
network_port_id = 'network_port_id_example' # str | The value of the Id property of the NetworkPort resource

try:
    api_response = api_instance.redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_ports_network_port_id_get(chassis_id, network_adapter_id, network_port_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_ports_network_port_id_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **chassis_id** | **str**| The value of the Id property of the Chassis resource | 
 **network_adapter_id** | **str**| The value of the Id property of the NetworkAdapter resource | 
 **network_port_id** | **str**| The value of the Id property of the NetworkPort resource | 

### Return type

[**NetworkPort**](NetworkPort.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_ports_network_port_id_patch**
> NetworkPort redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_ports_network_port_id_patch(chassis_id, network_adapter_id, network_port_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
chassis_id = 'chassis_id_example' # str | The value of the Id property of the Chassis resource
network_adapter_id = 'network_adapter_id_example' # str | The value of the Id property of the NetworkAdapter resource
network_port_id = 'network_port_id_example' # str | The value of the Id property of the NetworkPort resource

try:
    api_response = api_instance.redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_ports_network_port_id_patch(chassis_id, network_adapter_id, network_port_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_ports_network_port_id_patch: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **chassis_id** | **str**| The value of the Id property of the Chassis resource | 
 **network_adapter_id** | **str**| The value of the Id property of the NetworkAdapter resource | 
 **network_port_id** | **str**| The value of the Id property of the NetworkPort resource | 

### Return type

[**NetworkPort**](NetworkPort.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_ports_network_port_id_put**
> NetworkPort redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_ports_network_port_id_put(chassis_id, network_adapter_id, network_port_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
chassis_id = 'chassis_id_example' # str | The value of the Id property of the Chassis resource
network_adapter_id = 'network_adapter_id_example' # str | The value of the Id property of the NetworkAdapter resource
network_port_id = 'network_port_id_example' # str | The value of the Id property of the NetworkPort resource

try:
    api_response = api_instance.redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_ports_network_port_id_put(chassis_id, network_adapter_id, network_port_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_chassis_chassis_id_network_adapters_network_adapter_id_network_ports_network_port_id_put: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **chassis_id** | **str**| The value of the Id property of the Chassis resource | 
 **network_adapter_id** | **str**| The value of the Id property of the NetworkAdapter resource | 
 **network_port_id** | **str**| The value of the Id property of the NetworkPort resource | 

### Return type

[**NetworkPort**](NetworkPort.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_chassis_chassis_id_patch**
> Chassis redfish_v1_chassis_chassis_id_patch(chassis_id, chassis)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
chassis_id = 'chassis_id_example' # str | The value of the Id property of the Chassis resource
chassis = nvsm_sdk.Chassis() # Chassis | 

try:
    api_response = api_instance.redfish_v1_chassis_chassis_id_patch(chassis_id, chassis)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_chassis_chassis_id_patch: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **chassis_id** | **str**| The value of the Id property of the Chassis resource | 
 **chassis** | [**Chassis**](Chassis.md)|  | 

### Return type

[**Chassis**](Chassis.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_chassis_chassis_id_post**
> Chassis redfish_v1_chassis_chassis_id_post(chassis_id, power_mode_request_body)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
chassis_id = 'chassis_id_example' # str | The value of the Id property of the Chassis resource
power_mode_request_body = nvsm_sdk.PowerModeRequestBody() # PowerModeRequestBody | 

try:
    api_response = api_instance.redfish_v1_chassis_chassis_id_post(chassis_id, power_mode_request_body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_chassis_chassis_id_post: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **chassis_id** | **str**| The value of the Id property of the Chassis resource | 
 **power_mode_request_body** | [**PowerModeRequestBody**](PowerModeRequestBody.md)|  | 

### Return type

[**Chassis**](Chassis.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_chassis_chassis_id_power_get**
> Power redfish_v1_chassis_chassis_id_power_get(chassis_id, force_refresh=force_refresh)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
chassis_id = 'chassis_id_example' # str | The value of the Id property of the Chassis resource
force_refresh = True # bool | Force refresh (optional)

try:
    api_response = api_instance.redfish_v1_chassis_chassis_id_power_get(chassis_id, force_refresh=force_refresh)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_chassis_chassis_id_power_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **chassis_id** | **str**| The value of the Id property of the Chassis resource | 
 **force_refresh** | **bool**| Force refresh | [optional] 

### Return type

[**Power**](Power.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_chassis_chassis_id_thermal_get**
> Thermal redfish_v1_chassis_chassis_id_thermal_get(chassis_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
chassis_id = 'chassis_id_example' # str | The value of the Id property of the Chassis resource

try:
    api_response = api_instance.redfish_v1_chassis_chassis_id_thermal_get(chassis_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_chassis_chassis_id_thermal_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **chassis_id** | **str**| The value of the Id property of the Chassis resource | 

### Return type

[**Thermal**](Thermal.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_chassis_get**
> ChassisCollection redfish_v1_chassis_get()



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))

try:
    api_response = api_instance.redfish_v1_chassis_get()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_chassis_get: %s\n" % e)
```


### Parameters
This endpoint does not need any parameter.

### Return type

[**ChassisCollection**](ChassisCollection.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_get**
> ServiceRoot redfish_v1_get()



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))

try:
    api_response = api_instance.redfish_v1_get()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_get: %s\n" % e)
```


### Parameters
This endpoint does not need any parameter.

### Return type

[**ServiceRoot**](ServiceRoot.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_managers_get**
> ManagerCollection redfish_v1_managers_get()



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))

try:
    api_response = api_instance.redfish_v1_managers_get()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_managers_get: %s\n" % e)
```


### Parameters
This endpoint does not need any parameter.

### Return type

[**ManagerCollection**](ManagerCollection.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_managers_manager_id_ethernet_interfaces_ethernet_interface_id_get**
> EthernetInterface redfish_v1_managers_manager_id_ethernet_interfaces_ethernet_interface_id_get(manager_id, ethernet_interface_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
manager_id = 'manager_id_example' # str | The value of the Id property of the Manager resource
ethernet_interface_id = 'ethernet_interface_id_example' # str | The value of the Id property of the EthernetInterface resource

try:
    api_response = api_instance.redfish_v1_managers_manager_id_ethernet_interfaces_ethernet_interface_id_get(manager_id, ethernet_interface_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_managers_manager_id_ethernet_interfaces_ethernet_interface_id_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **manager_id** | **str**| The value of the Id property of the Manager resource | 
 **ethernet_interface_id** | **str**| The value of the Id property of the EthernetInterface resource | 

### Return type

[**EthernetInterface**](EthernetInterface.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_managers_manager_id_ethernet_interfaces_ethernet_interface_id_patch**
> EthernetInterface redfish_v1_managers_manager_id_ethernet_interfaces_ethernet_interface_id_patch(manager_id, ethernet_interface_id, ethernet_interface)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
manager_id = 'manager_id_example' # str | The value of the Id property of the Manager resource
ethernet_interface_id = 'ethernet_interface_id_example' # str | The value of the Id property of the EthernetInterface resource
ethernet_interface = nvsm_sdk.EthernetInterface() # EthernetInterface | 

try:
    api_response = api_instance.redfish_v1_managers_manager_id_ethernet_interfaces_ethernet_interface_id_patch(manager_id, ethernet_interface_id, ethernet_interface)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_managers_manager_id_ethernet_interfaces_ethernet_interface_id_patch: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **manager_id** | **str**| The value of the Id property of the Manager resource | 
 **ethernet_interface_id** | **str**| The value of the Id property of the EthernetInterface resource | 
 **ethernet_interface** | [**EthernetInterface**](EthernetInterface.md)|  | 

### Return type

[**EthernetInterface**](EthernetInterface.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_managers_manager_id_ethernet_interfaces_ethernet_interface_id_put**
> EthernetInterface redfish_v1_managers_manager_id_ethernet_interfaces_ethernet_interface_id_put(manager_id, ethernet_interface_id, ethernet_interface)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
manager_id = 'manager_id_example' # str | The value of the Id property of the Manager resource
ethernet_interface_id = 'ethernet_interface_id_example' # str | The value of the Id property of the EthernetInterface resource
ethernet_interface = nvsm_sdk.EthernetInterface() # EthernetInterface | 

try:
    api_response = api_instance.redfish_v1_managers_manager_id_ethernet_interfaces_ethernet_interface_id_put(manager_id, ethernet_interface_id, ethernet_interface)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_managers_manager_id_ethernet_interfaces_ethernet_interface_id_put: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **manager_id** | **str**| The value of the Id property of the Manager resource | 
 **ethernet_interface_id** | **str**| The value of the Id property of the EthernetInterface resource | 
 **ethernet_interface** | [**EthernetInterface**](EthernetInterface.md)|  | 

### Return type

[**EthernetInterface**](EthernetInterface.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_managers_manager_id_ethernet_interfaces_get**
> EthernetInterfaceCollection redfish_v1_managers_manager_id_ethernet_interfaces_get(manager_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
manager_id = 'manager_id_example' # str | The value of the Id property of the Manager resource

try:
    api_response = api_instance.redfish_v1_managers_manager_id_ethernet_interfaces_get(manager_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_managers_manager_id_ethernet_interfaces_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **manager_id** | **str**| The value of the Id property of the Manager resource | 

### Return type

[**EthernetInterfaceCollection**](EthernetInterfaceCollection.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_managers_manager_id_get**
> Manager redfish_v1_managers_manager_id_get(manager_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
manager_id = 'manager_id_example' # str | The value of the Id property of the Manager resource

try:
    api_response = api_instance.redfish_v1_managers_manager_id_get(manager_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_managers_manager_id_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **manager_id** | **str**| The value of the Id property of the Manager resource | 

### Return type

[**Manager**](Manager.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_managers_manager_id_patch**
> Manager redfish_v1_managers_manager_id_patch(manager_id, manager)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
manager_id = 'manager_id_example' # str | The value of the Id property of the Manager resource
manager = nvsm_sdk.Manager() # Manager | 

try:
    api_response = api_instance.redfish_v1_managers_manager_id_patch(manager_id, manager)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_managers_manager_id_patch: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **manager_id** | **str**| The value of the Id property of the Manager resource | 
 **manager** | [**Manager**](Manager.md)|  | 

### Return type

[**Manager**](Manager.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_managers_manager_id_put**
> Manager redfish_v1_managers_manager_id_put(manager_id, manager)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
manager_id = 'manager_id_example' # str | The value of the Id property of the Manager resource
manager = nvsm_sdk.Manager() # Manager | 

try:
    api_response = api_instance.redfish_v1_managers_manager_id_put(manager_id, manager)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_managers_manager_id_put: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **manager_id** | **str**| The value of the Id property of the Manager resource | 
 **manager** | [**Manager**](Manager.md)|  | 

### Return type

[**Manager**](Manager.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_systems_computer_system_id_get**
> ComputerSystem redfish_v1_systems_computer_system_id_get(computer_system_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource

try:
    api_response = api_instance.redfish_v1_systems_computer_system_id_get(computer_system_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_systems_computer_system_id_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 

### Return type

[**ComputerSystem**](ComputerSystem.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_systems_computer_system_id_memory_get**
> MemoryCollection redfish_v1_systems_computer_system_id_memory_get(computer_system_id, force_refresh=force_refresh)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
force_refresh = True # bool | Force refresh (optional)

try:
    api_response = api_instance.redfish_v1_systems_computer_system_id_memory_get(computer_system_id, force_refresh=force_refresh)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_systems_computer_system_id_memory_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **force_refresh** | **bool**| Force refresh | [optional] 

### Return type

[**MemoryCollection**](MemoryCollection.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_systems_computer_system_id_memory_memory_id_get**
> Memory redfish_v1_systems_computer_system_id_memory_memory_id_get(computer_system_id, memory_id, force_refresh=force_refresh)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
memory_id = 'memory_id_example' # str | The value of the Id property of the Memory resource
force_refresh = True # bool | Force refresh (optional)

try:
    api_response = api_instance.redfish_v1_systems_computer_system_id_memory_memory_id_get(computer_system_id, memory_id, force_refresh=force_refresh)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_systems_computer_system_id_memory_memory_id_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **memory_id** | **str**| The value of the Id property of the Memory resource | 
 **force_refresh** | **bool**| Force refresh | [optional] 

### Return type

[**Memory**](Memory.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_systems_computer_system_id_network_interfaces_get**
> NetworkInterfaceCollection redfish_v1_systems_computer_system_id_network_interfaces_get(computer_system_id, force_refresh=force_refresh)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
force_refresh = True # bool | Force refresh (optional)

try:
    api_response = api_instance.redfish_v1_systems_computer_system_id_network_interfaces_get(computer_system_id, force_refresh=force_refresh)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_systems_computer_system_id_network_interfaces_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **force_refresh** | **bool**| Force refresh | [optional] 

### Return type

[**NetworkInterfaceCollection**](NetworkInterfaceCollection.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_get**
> NetworkInterface redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_get(computer_system_id, network_interface_id, force_refresh=force_refresh)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
network_interface_id = 'network_interface_id_example' # str | The value of the Id property of the Network interface resource
force_refresh = True # bool | Force refresh (optional)

try:
    api_response = api_instance.redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_get(computer_system_id, network_interface_id, force_refresh=force_refresh)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **network_interface_id** | **str**| The value of the Id property of the Network interface resource | 
 **force_refresh** | **bool**| Force refresh | [optional] 

### Return type

[**NetworkInterface**](NetworkInterface.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_device_functions_get**
> NetworkDeviceFunctionCollection redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_device_functions_get(computer_system_id, network_interface_id, force_refresh=force_refresh)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
network_interface_id = 'network_interface_id_example' # str | The value of the Id property of the Network interface resource
force_refresh = True # bool | Force refresh (optional)

try:
    api_response = api_instance.redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_device_functions_get(computer_system_id, network_interface_id, force_refresh=force_refresh)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_device_functions_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **network_interface_id** | **str**| The value of the Id property of the Network interface resource | 
 **force_refresh** | **bool**| Force refresh | [optional] 

### Return type

[**NetworkDeviceFunctionCollection**](NetworkDeviceFunctionCollection.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_device_functions_net_dev_func_id_get**
> NetworkDeviceFunction redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_device_functions_net_dev_func_id_get(computer_system_id, network_interface_id, net_dev_func_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
network_interface_id = 'network_interface_id_example' # str | The value of the Id property of the Network interface resource
net_dev_func_id = 'net_dev_func_id_example' # str | The value of the Id property of the NetworkDeviceFunction resource

try:
    api_response = api_instance.redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_device_functions_net_dev_func_id_get(computer_system_id, network_interface_id, net_dev_func_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_device_functions_net_dev_func_id_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **network_interface_id** | **str**| The value of the Id property of the Network interface resource | 
 **net_dev_func_id** | **str**| The value of the Id property of the NetworkDeviceFunction resource | 

### Return type

[**NetworkDeviceFunction**](NetworkDeviceFunction.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_device_functions_net_dev_func_id_patch**
> NetworkDeviceFunction redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_device_functions_net_dev_func_id_patch(computer_system_id, network_interface_id, net_dev_func_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
network_interface_id = 'network_interface_id_example' # str | The value of the Id property of the Network interface resource
net_dev_func_id = 'net_dev_func_id_example' # str | The value of the Id property of the NetworkDeviceFunction resource

try:
    api_response = api_instance.redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_device_functions_net_dev_func_id_patch(computer_system_id, network_interface_id, net_dev_func_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_device_functions_net_dev_func_id_patch: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **network_interface_id** | **str**| The value of the Id property of the Network interface resource | 
 **net_dev_func_id** | **str**| The value of the Id property of the NetworkDeviceFunction resource | 

### Return type

[**NetworkDeviceFunction**](NetworkDeviceFunction.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_device_functions_net_dev_func_id_put**
> NetworkDeviceFunction redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_device_functions_net_dev_func_id_put(computer_system_id, network_interface_id, net_dev_func_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
network_interface_id = 'network_interface_id_example' # str | The value of the Id property of the Network interface resource
net_dev_func_id = 'net_dev_func_id_example' # str | The value of the Id property of the NetworkDeviceFunction resource

try:
    api_response = api_instance.redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_device_functions_net_dev_func_id_put(computer_system_id, network_interface_id, net_dev_func_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_device_functions_net_dev_func_id_put: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **network_interface_id** | **str**| The value of the Id property of the Network interface resource | 
 **net_dev_func_id** | **str**| The value of the Id property of the NetworkDeviceFunction resource | 

### Return type

[**NetworkDeviceFunction**](NetworkDeviceFunction.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_ports_get**
> NetworkPortCollection redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_ports_get(computer_system_id, network_interface_id, force_refresh=force_refresh)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
network_interface_id = 'network_interface_id_example' # str | The value of the Id property of the Network interface resource
force_refresh = True # bool | Force refresh (optional)

try:
    api_response = api_instance.redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_ports_get(computer_system_id, network_interface_id, force_refresh=force_refresh)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_ports_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **network_interface_id** | **str**| The value of the Id property of the Network interface resource | 
 **force_refresh** | **bool**| Force refresh | [optional] 

### Return type

[**NetworkPortCollection**](NetworkPortCollection.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_ports_network_port_id_get**
> NetworkPort redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_ports_network_port_id_get(computer_system_id, network_interface_id, network_port_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
network_interface_id = 'network_interface_id_example' # str | The value of the Id property of the Network interface resource
network_port_id = 'network_port_id_example' # str | The value of the Id property of the NetworkPort resource

try:
    api_response = api_instance.redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_ports_network_port_id_get(computer_system_id, network_interface_id, network_port_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_ports_network_port_id_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **network_interface_id** | **str**| The value of the Id property of the Network interface resource | 
 **network_port_id** | **str**| The value of the Id property of the NetworkPort resource | 

### Return type

[**NetworkPort**](NetworkPort.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_ports_network_port_id_patch**
> NetworkPort redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_ports_network_port_id_patch(computer_system_id, network_interface_id, network_port_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
network_interface_id = 'network_interface_id_example' # str | The value of the Id property of the Network interface resource
network_port_id = 'network_port_id_example' # str | The value of the Id property of the NetworkPort resource

try:
    api_response = api_instance.redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_ports_network_port_id_patch(computer_system_id, network_interface_id, network_port_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_ports_network_port_id_patch: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **network_interface_id** | **str**| The value of the Id property of the Network interface resource | 
 **network_port_id** | **str**| The value of the Id property of the NetworkPort resource | 

### Return type

[**NetworkPort**](NetworkPort.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_ports_network_port_id_put**
> NetworkPort redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_ports_network_port_id_put(computer_system_id, network_interface_id, network_port_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
network_interface_id = 'network_interface_id_example' # str | The value of the Id property of the Network interface resource
network_port_id = 'network_port_id_example' # str | The value of the Id property of the NetworkPort resource

try:
    api_response = api_instance.redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_ports_network_port_id_put(computer_system_id, network_interface_id, network_port_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_systems_computer_system_id_network_interfaces_network_interface_id_network_ports_network_port_id_put: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **network_interface_id** | **str**| The value of the Id property of the Network interface resource | 
 **network_port_id** | **str**| The value of the Id property of the NetworkPort resource | 

### Return type

[**NetworkPort**](NetworkPort.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_systems_computer_system_id_processors_get**
> ProcessorCollection redfish_v1_systems_computer_system_id_processors_get(computer_system_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource

try:
    api_response = api_instance.redfish_v1_systems_computer_system_id_processors_get(computer_system_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_systems_computer_system_id_processors_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 

### Return type

[**ProcessorCollection**](ProcessorCollection.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_systems_computer_system_id_processors_processor_id_get**
> Processor redfish_v1_systems_computer_system_id_processors_processor_id_get(computer_system_id, processor_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
processor_id = 'processor_id_example' # str | The value of the Id property of the Processor resource

try:
    api_response = api_instance.redfish_v1_systems_computer_system_id_processors_processor_id_get(computer_system_id, processor_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_systems_computer_system_id_processors_processor_id_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **processor_id** | **str**| The value of the Id property of the Processor resource | 

### Return type

[**Processor**](Processor.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_systems_computer_system_id_storage_get**
> StorageCollection redfish_v1_systems_computer_system_id_storage_get(computer_system_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource

try:
    api_response = api_instance.redfish_v1_systems_computer_system_id_storage_get(computer_system_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_systems_computer_system_id_storage_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 

### Return type

[**StorageCollection**](StorageCollection.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_systems_computer_system_id_storage_storage_id_drives_drive_id_get**
> Drive redfish_v1_systems_computer_system_id_storage_storage_id_drives_drive_id_get(computer_system_id, storage_id, drive_id, force_refresh=force_refresh)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
storage_id = 'storage_id_example' # str | The value of the Id property of the Storage resource
drive_id = 'drive_id_example' # str | The value of the Id property of the Drive resource
force_refresh = True # bool | Force refresh (optional)

try:
    api_response = api_instance.redfish_v1_systems_computer_system_id_storage_storage_id_drives_drive_id_get(computer_system_id, storage_id, drive_id, force_refresh=force_refresh)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_systems_computer_system_id_storage_storage_id_drives_drive_id_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **storage_id** | **str**| The value of the Id property of the Storage resource | 
 **drive_id** | **str**| The value of the Id property of the Drive resource | 
 **force_refresh** | **bool**| Force refresh | [optional] 

### Return type

[**Drive**](Drive.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_systems_computer_system_id_storage_storage_id_get**
> Storage redfish_v1_systems_computer_system_id_storage_storage_id_get(computer_system_id, storage_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
storage_id = 'storage_id_example' # str | The value of the Id property of the Storage resource

try:
    api_response = api_instance.redfish_v1_systems_computer_system_id_storage_storage_id_get(computer_system_id, storage_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_systems_computer_system_id_storage_storage_id_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **storage_id** | **str**| The value of the Id property of the Storage resource | 

### Return type

[**Storage**](Storage.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_systems_computer_system_id_storage_storage_id_volumes_get**
> VolumeCollection redfish_v1_systems_computer_system_id_storage_storage_id_volumes_get(computer_system_id, storage_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
storage_id = 'storage_id_example' # str | The value of the Id property of the Storage resource

try:
    api_response = api_instance.redfish_v1_systems_computer_system_id_storage_storage_id_volumes_get(computer_system_id, storage_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_systems_computer_system_id_storage_storage_id_volumes_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **storage_id** | **str**| The value of the Id property of the Storage resource | 

### Return type

[**VolumeCollection**](VolumeCollection.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_systems_computer_system_id_storage_storage_id_volumes_volume_id_get**
> Volume redfish_v1_systems_computer_system_id_storage_storage_id_volumes_volume_id_get(computer_system_id, storage_id, volume_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
storage_id = 'storage_id_example' # str | The value of the Id property of the Storage resource
volume_id = 'volume_id_example' # str | The value of the Id property of the Volume resource

try:
    api_response = api_instance.redfish_v1_systems_computer_system_id_storage_storage_id_volumes_volume_id_get(computer_system_id, storage_id, volume_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_systems_computer_system_id_storage_storage_id_volumes_volume_id_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **storage_id** | **str**| The value of the Id property of the Storage resource | 
 **volume_id** | **str**| The value of the Id property of the Volume resource | 

### Return type

[**Volume**](Volume.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **redfish_v1_systems_get**
> ComputerSystemCollection redfish_v1_systems_get()



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.RedfishApi(nvsm_sdk.ApiClient(configuration))

try:
    api_response = api_instance.redfish_v1_systems_get()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RedfishApi->redfish_v1_systems_get: %s\n" % e)
```


### Parameters
This endpoint does not need any parameter.

### Return type

[**ComputerSystemCollection**](ComputerSystemCollection.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

