# SWFWVersions

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**info_rom_checksum** | **str** | The checksum of the configuration stored in the device&#39;s infoROM. | 
**info_rom_checksum_validation** | **str** | Result of a checksum validation on the infoROM. | 
**info_rom_ecc_object_version** | **str** | Version for the ECC recording data. | 
**info_rom_image_version** | **str** | Global version of the infoROM image. | 
**info_rom_power_object_version** | **str** | Version for the power management data. | 
**info_rom_version** | **str** | The version of the infoROM image. | 
**mcufw_version** | **str** | The version of Firmware running on the MCUs. | 
**pc_ie_bridge_chip_fw** | **str** | The firmware version of the bridge chip. Reported as N/A if doesn&#39;t exist. | 
**vbios_version** | **str** | The version of BIOS on the GPU board. | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


