# SecurityCapabilities

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**configuration_lock_capable** | **bool** | Support for locking the configuration. | [optional] 
**data_lock_capable** | **bool** | Support for data locking. | [optional] 
**max_passphrase_count** | **int** | Maximum number of passphrases supported for this Memory. | [optional] 
**passphrase_capable** | **bool** | Memory passphrase set capability. | [optional] 
**passphrase_lock_limit** | **int** | Maximum number of incorrect passphrase attempts allowed before memory is locked. | [optional] 
**security_states** | [**list[SecurityStates]**](SecurityStates.md) | Security states supported by the Memory. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


