# Task2

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**odata_context** | **str** | The OData description of a payload. | [optional] 
**odata_etag** | **str** | The current ETag of the resource. | [optional] 
**odata_id** | **str** | The unique identifier for a resource. | 
**odata_type** | **str** | The type of a resource. | 
**actions** | [**Actions2**](Actions2.md) |  | [optional] 
**description** | **str** | The description of this resource.  Used for commonality in the schema definitions. | [optional] 
**end_time** | **datetime** | The date and time when the task was completed.  This property will only appear when the task is complete. | [optional] 
**hide_payload** | **bool** | An indication of whether the contents of the payload are hidden from view after the task has been created.  If &#x60;true&#x60;, responses do not return the payload.  If &#x60;false&#x60;, responses return the payload.  If this property is not present when the task is created, the default is &#x60;false&#x60;. | [optional] 
**id** | **str** | The identifier that uniquely identifies the resource within the collection of similar resources. | 
**messages** | [**list[Message2]**](Message2.md) | An array of messages associated with the task. | [optional] 
**name** | **str** | The name of the resource or array member. | 
**oem** | **dict(str, object)** | The OEM extension. | [optional] 
**payload** | [**Payload2**](Payload2.md) |  | [optional] 
**percent_complete** | **int** | The completion percentage of this task. | [optional] 
**start_time** | **datetime** | The date and time when the task was started. | [optional] 
**task_monitor** | **str** | The URI of the Task Monitor for this task. | [optional] 
**task_state** | [**TaskState2**](TaskState2.md) |  | [optional] 
**task_status** | [**Health**](Health.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


