# TaskService

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**odata_context** | **str** | The OData description of a payload. | [optional] 
**odata_etag** | **str** | The current ETag of the resource. | [optional] 
**odata_id** | **str** | The unique identifier for a resource. | 
**odata_type** | **str** | The type of a resource. | 
**actions** | [**Actions2**](Actions2.md) |  | [optional] 
**completed_task_over_write_policy** | [**OverWritePolicy**](OverWritePolicy.md) |  | [optional] 
**date_time** | **datetime** | The current date and time, with UTC offset, setting that the task service uses. | [optional] 
**description** | **str** | The description of this resource.  Used for commonality in the schema definitions. | [optional] 
**id** | **str** | The identifier that uniquely identifies the resource within the collection of similar resources. | 
**life_cycle_event_on_task_state_change** | **bool** | An indication of whether a task state change sends an event. | [optional] 
**name** | **str** | The name of the resource or array member. | 
**oem** | **dict(str, object)** | The OEM extension. | [optional] 
**service_enabled** | **bool** | An indication of whether this service is enabled. | [optional] 
**status** | [**Status**](Status.md) |  | [optional] 
**tasks** | [**IdRef2**](IdRef2.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


