# nvsm_sdk.TestApi

All URIs are relative to *https://127.0.0.1:273*

Method | HTTP request | Description
------------- | ------------- | -------------
[**test_get**](TestApi.md#test_get) | **GET** /Test | 


# **test_get**
> ComputerSystem test_get()



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.TestApi(nvsm_sdk.ApiClient(configuration))

try:
    api_response = api_instance.test_get()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling TestApi->test_get: %s\n" % e)
```


### Parameters
This endpoint does not need any parameter.

### Return type

[**ComputerSystem**](ComputerSystem.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

