# Volume

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**odata_context** | **str** | The OData description of a payload. | [optional] 
**odata_etag** | **str** | The current ETag of the resource. | [optional] 
**odata_id** | **str** | The unique identifier for a resource. | 
**odata_type** | **str** | The type of a resource. | 
**actions** | [**Actions2**](Actions2.md) |  | [optional] 
**block_size_bytes** | **int** | The size of the smallest addressable unit (Block) of this volume in bytes. | [optional] 
**capacity_bytes** | **int** | The size in bytes of this Volume. | [optional] 
**description** | **str** | The description of this resource.  Used for commonality in the schema definitions. | [optional] 
**encrypted** | **bool** | Is this Volume encrypted. | [optional] 
**encryption_types** | [**list[EncryptionTypes]**](EncryptionTypes.md) | The types of encryption used by this Volume. | [optional] 
**id** | **str** | The identifier that uniquely identifies the resource within the collection of similar resources. | 
**identifiers** | [**list[Identifier]**](Identifier.md) | The Durable names for the volume. | [optional] 
**links** | [**Links2**](Links2.md) |  | [optional] 
**name** | **str** | The name of the resource or array member. | 
**oem** | **dict(str, object)** | The OEM extension. | [optional] 
**operations** | [**list[Operation]**](Operation.md) | The operations currently running on the Volume. | [optional] 
**optimum_io_size_bytes** | **int** | The size in bytes of this Volume&#39;s optimum IO size. | [optional] 
**status** | [**Status**](Status.md) |  | [optional] 
**volume_type** | [**VolumeType**](VolumeType.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


