#!/usr/bin/env python3

# Copyright (c) 2020, NVIDIA CORPORATION.  All rights reserved.
#
# NVIDIA CORPORATION and its licensors retain all intellectual property
# and proprietary rights in and to this software, related documentation
# and any modifications thereto.  Any use, reproduction, disclosure or
# distribution of this software and related documentation without an express
# license agreement from NVIDIA CORPORATION is strictly prohibited.

import subprocess
from os import path

text_path1 = "/sys/modules/nvidia/sections/.text"
text_path2 = "/sys/module/nvidia/sections/.text"

def get_command(path):
    return "cat {}".format(path)

def main():
    if path.exists(text_path1):
        out = subprocess.check_output(get_command(text_path1), shell=True)
        addr = out.decode("utf-8")
        print(addr)
    else:
        out = subprocess.check_output(get_command(text_path2), shell=True)
        addr = out.decode("utf-8")
        print(addr)

if __name__ == "__main__":
    main()

