#!/usr/bin/env bash
# Copyright (c) 2019, NVIDIA CORPORATION.  All rights reserved.
#
# NVIDIA CORPORATION and its licensors retain all intellectual property
# and proprietary rights in and to this software, related documentation
# and any modifications thereto.  Any use, reproduction, disclosure or
# distribution of this software and related documentation without an express
# license agreement from NVIDIA CORPORATION is strictly prohibited.

CMDS=("/call/pall show all"
      "/call/eall/sall show all"
      "/call show all"
      "/call/eall/sall  show phyerrorcounters"
      "/c0 show events"
      "/c0 show AliLog")

for cmd in "${CMDS[@]}"
do
    COMMAND="/opt/MegaRAID/storcli/storcli64 $cmd"
    echo "========> ${COMMAND} <========"
    $COMMAND
    echo -e "\n\n"
done
