# Boot

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**alias_boot_order** | [**list[BootSource]**](BootSource.md) | Ordered array of boot source aliases representing the persistent Boot Order associated with this computer system. | [optional] 
**boot_next** | **str** | This property is the BootOptionReference of the Boot Option to perform a one time boot from when BootSourceOverrideTarget is UefiBootNext. | [optional] 
**boot_options** | [**IdRef**](IdRef.md) |  | [optional] 
**boot_order** | **list[str]** | Ordered array of BootOptionReference strings representing the persistent Boot Order associated with this computer system. | [optional] 
**boot_order_property_selection** | [**BootOrderTypes**](BootOrderTypes.md) |  | [optional] 
**boot_source_override_enabled** | [**BootSourceOverrideEnabled**](BootSourceOverrideEnabled.md) |  | [optional] 
**boot_source_override_mode** | [**BootSourceOverrideMode**](BootSourceOverrideMode.md) |  | [optional] 
**boot_source_override_target** | [**BootSource**](BootSource.md) |  | [optional] 
**uefi_target_boot_source_override** | **str** | This property is the UEFI Device Path of the device to boot from when BootSourceOverrideTarget is UefiTarget. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


