# CallHomeOp

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**start_time** | **str** | Property indicates the UTC time at which the operation was triggered | 
**state** | [**OpState**](OpState.md) |  | 
**message** | **str** | Property provides a more descriptive status of the operation that is in progress. | 
**case_id** | **str** | Property provides Ticket/Case Id of alerts filed in SFDC. | 
**description** | **str** | Property sets the user provided comments for which the callhome is triggered. | 
**email** | **str** | Property sets the user provided Email when the callhome is triggered. | 
**diag_test** | **bool** | Property used to trigger diagnostic test for callhome. | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


