# Connections

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**cpu_affinity_bit_map** | [**CPUAffinityBitMap**](CPUAffinityBitMap.md) |  | 
**device_minor_number** | **int** | The minor number for the device is such that the Nvidia device node file for each GPU will have the form /dev/nvidia[minor number]. Available only on Linux platform. | 
**display_attached** | **str** | A flag that indicates whether a physical display (e.g. monitor) is currently connected to any of the GPU connectors. \&quot;Enabled\&quot; indicates an attached display. \&quot;Disabled\&quot; indicates otherwise. | 
**driver_assigned_board_id** | **int** | The unique board ID assigned by the driver. If two or more GPUs have the same board ID and the above \&quot;MultiGPU\&quot; field is true then the GPUs are on the same board. | 
**multi_gpu_board** | **bool** | Whether or not this GPU is part of a multiGPU board. | 
**pc_ie_gen** | **str** | The current link generation. This may be reduced when the GPU is not in use. | 
**pc_ie_link_width** | **str** | The current link width. This may be reduced when the GPU is not in use. | 
**pc_ie_location** | **str** | The PCIe Bus Device Function this GPU is enumerated as. Format is \&quot;domain:bus:device.function\&quot;, in hex. | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


