# DHCPv6Configuration

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**operating_mode** | [**DHCPv6OperatingMode**](DHCPv6OperatingMode.md) |  | [optional] 
**use_dns_servers** | **bool** | When enabled, DNS server addresses supplied through DHCPv6 stateless mode will be used. | [optional] 
**use_domain_name** | **bool** | When enabled, the domain name supplied through DHCPv6 stateless mode will be used. | [optional] 
**use_ntp_servers** | **bool** | When enabled, NTP server addresses supplied through DHCPv6 stateless mode will be used. | [optional] 
**use_rapid_commit** | **bool** | Determines whether to use DHCPv6 rapid commit mode for stateful mode address assignments. Do not enable in networks where more than one DHCPv6 server is configured to provide address assignments. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


