# FeatureConfigurations

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**accounting_buffer_size** | **int** | The Size of the circular buffer that holds list of processes that can be queried for accounting stats. | 
**accounting_mode** | **str** | A flag that indicates whether accounting mode is enabled. | 
**clock_policy** | [**ClockPolicy**](ClockPolicy.md) |  | 
**compute_mode** | **str** | The compute mode flag indicates whether individual or multiple compute applications may run on the GPU. | 
**display_active** | **str** | A flag that indicates whether the display is in an active state and the GPU has allocated memory for a screen. The display can be active whether or not a physical monitor is attached. \&quot;Enabled\&quot; indicates an active display. \&quot;Disabled\&quot; indicates otherwise. | 
**display_mode** | **str** | A flag that indicates whether a physical display (e.g. monitor) is currently connected to any of the GPU connectors. \&quot;Enabled\&quot; indicates an attached display. \&quot;Disabled\&quot; indicates otherwise. | 
**operation_mode** | **str** | Current mode of Operation for this GPU. | 
**operation_mode_on_next_boot** | **str** | Mode of Operation for this GPU on next boot. | 
**persistence_mode** | **str** | A flag that indicates whether persistence mode is enabled for the GPU. Value is either \&quot;Enabled\&quot; or \&quot;Disabled\&quot;. | 
**virtualization_mode** | **str** |  | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


