# FibreChannel

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**allow_fipvlan_discovery** | **bool** | Whether the FCoE Initialization Protocol (FIP) is used for populating the FCoE VLAN Id. | [optional] 
**boot_targets** | [**list[BootTargets]**](BootTargets.md) | An array of Fibre Channel boot targets configured for this network device function. | [optional] 
**f_co_e_active_vlan_id** | **int** | The active FCoE VLAN ID. | [optional] 
**f_co_e_local_vlan_id** | **int** | The locally configured FCoE VLAN ID. | [optional] 
**fibre_channel_id** | **str** | The Fibre Channel Id assigned by the switch for this interface. | [optional] 
**permanent_wwnn** | **str** | This is the permanent WWNN address assigned to this network device function (physical function). | [optional] 
**permanent_wwpn** | **str** | This is the permanent WWPN address assigned to this network device function (physical function). | [optional] 
**wwnn** | **str** | This is the currently configured WWNN address of the network device function (physical function). | [optional] 
**wwn_source** | [**WWNSource**](WWNSource.md) |  | [optional] 
**wwpn** | **str** | This is the currently configured WWPN address of the network device function (physical function). | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


