# GPUThrottleReasons

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**applications_clocks_setting** | **str** | GPU clocks are limited by current setting of applications clocks. | 
**display_clock_setting** | **str** | ??? | 
**gpu_idle** | **str** | Nothing is running on the GPU and the clocks are dropping to Idle state. | 
**hw_power_brake_slowdown** | **str** | External Power Brake Assertion is triggered (e.g. by the system power supply) | 
**hw_slowdown** | **str** | HW Slowdown (reducing the core clocks by a factor of 2 or more) is engaged | 
**hw_thermal_slowdown** | **str** | Temperature is too high | 
**sw_power_cap** | **str** | SW Power Scaling algorithm is reducing the clocks below requested clocks. | 
**sw_thermal_slowdown** | **str** | SW Thermal slowdown | 
**sync_boost** | **str** | This GPU has been added to a Sync boost group with nvidia-smi or DCGM in order to maximize performance per watt. | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


