# InputRange

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**input_type** | [**InputType**](InputType.md) |  | [optional] 
**maximum_frequency_hz** | **float** | The maximum line input frequency at which this power supply input range is effective. | [optional] 
**maximum_voltage** | **float** | The maximum line input voltage at which this power supply input range is effective. | [optional] 
**minimum_frequency_hz** | **float** | The minimum line input frequency at which this power supply input range is effective. | [optional] 
**minimum_voltage** | **float** | The minimum line input voltage at which this power supply input range is effective. | [optional] 
**oem** | **dict(str, object)** | The OEM extension. | [optional] 
**output_wattage** | **float** | The maximum capacity of this Power Supply when operating in this input range. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


