# Inventory

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**brand_name** | **str** | Product family brand this GPU belongs to. | 
**model_name** | **str** | The official product name of the GPU. | 
**pc_ie_device_id** | **str** | PCI vendor device id, in hex. | 
**pc_ie_sub_system_id** | **str** | PCI Sub System id, in hex. | 
**part_number** | **str** | Part number of this GPU. | 
**serial_number** | **str** | Serial number of this GPU. | 
**uuid** | **str** | This value is the globally unique immutable alphanumeric identifier of the GPU. It does not correspond to any physical label on the board. | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


