# JobStatus

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **int** | Unique Id to refer to a job | 
**start_time** | **datetime** | Time when this job started | 
**end_time** | **datetime** | Time when this job finished | 
**percent_done** | **int** | Status of this job as %age done | 
**job_is_done** | **bool** | Shows if the job done, since PercentDone is not a definite measure | 
**job_call_back_is_done** | **bool** | Shows if the callback function(if any) for the job is done as well. | 
**results_uri** | **str** | URI where results of the actual job results can be found | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


