# nvsm_sdk.NVSMApi

All URIs are relative to *https://127.0.0.1:273*

Method | HTTP request | Description
------------- | ------------- | -------------
[**nvsm_v1_alerts_get**](NVSMApi.md#nvsm_v1_alerts_get) | **GET** /nvsm/v1/Alerts | 
[**nvsm_v1_alerts_name_delete**](NVSMApi.md#nvsm_v1_alerts_name_delete) | **DELETE** /nvsm/v1/Alerts/{Name} | 
[**nvsm_v1_alerts_name_get**](NVSMApi.md#nvsm_v1_alerts_name_get) | **GET** /nvsm/v1/Alerts/{Name} | 
[**nvsm_v1_alerts_name_post**](NVSMApi.md#nvsm_v1_alerts_name_post) | **POST** /nvsm/v1/Alerts/{Name} | 
[**nvsm_v1_alerts_name_put**](NVSMApi.md#nvsm_v1_alerts_name_put) | **PUT** /nvsm/v1/Alerts/{Name} | 
[**nvsm_v1_bom_checks_get**](NVSMApi.md#nvsm_v1_bom_checks_get) | **GET** /nvsm/v1/BOMChecks | 
[**nvsm_v1_call_home_get**](NVSMApi.md#nvsm_v1_call_home_get) | **GET** /nvsm/v1/CallHome | 
[**nvsm_v1_call_home_put**](NVSMApi.md#nvsm_v1_call_home_put) | **PUT** /nvsm/v1/CallHome | 
[**nvsm_v1_inventory_get**](NVSMApi.md#nvsm_v1_inventory_get) | **GET** /nvsm/v1/Inventory | 
[**nvsm_v1_jobs_get**](NVSMApi.md#nvsm_v1_jobs_get) | **GET** /nvsm/v1/Jobs | 
[**nvsm_v1_nvsm_config_get**](NVSMApi.md#nvsm_v1_nvsm_config_get) | **GET** /nvsm/v1/NvsmConfig | 
[**nvsm_v1_nvsm_config_post**](NVSMApi.md#nvsm_v1_nvsm_config_post) | **POST** /nvsm/v1/NvsmConfig | 
[**nvsm_v1_pager_duty_get**](NVSMApi.md#nvsm_v1_pager_duty_get) | **GET** /nvsm/v1/PagerDuty | 
[**nvsm_v1_pager_duty_put**](NVSMApi.md#nvsm_v1_pager_duty_put) | **PUT** /nvsm/v1/PagerDuty | 
[**nvsm_v1_platform_profile_get**](NVSMApi.md#nvsm_v1_platform_profile_get) | **GET** /nvsm/v1/PlatformProfile | 
[**nvsm_v1_policy_name_delete**](NVSMApi.md#nvsm_v1_policy_name_delete) | **DELETE** /nvsm/v1/Policy/{Name} | 
[**nvsm_v1_policy_name_get**](NVSMApi.md#nvsm_v1_policy_name_get) | **GET** /nvsm/v1/Policy/{Name} | 
[**nvsm_v1_policy_name_post**](NVSMApi.md#nvsm_v1_policy_name_post) | **POST** /nvsm/v1/Policy/{Name} | 
[**nvsm_v1_policy_name_put**](NVSMApi.md#nvsm_v1_policy_name_put) | **PUT** /nvsm/v1/Policy/{Name} | 
[**nvsm_v1_schemas_schema_name_get**](NVSMApi.md#nvsm_v1_schemas_schema_name_get) | **GET** /nvsm/v1/Schemas/{SchemaName} | 
[**nvsm_v1_stress_get**](NVSMApi.md#nvsm_v1_stress_get) | **GET** /nvsm/v1/Stress | 
[**nvsm_v1_stress_put**](NVSMApi.md#nvsm_v1_stress_put) | **PUT** /nvsm/v1/Stress | 
[**nvsm_v1_systems1_storage_storage_id_volumes_actions_encrypt_status_get**](NVSMApi.md#nvsm_v1_systems1_storage_storage_id_volumes_actions_encrypt_status_get) | **GET** /nvsm/v1/Systems/1/Storage/{StorageId}/Volumes/Actions/Encrypt.Status | 
[**nvsm_v1_systems1_storage_storage_id_volumes_actions_encrypt_status_volume_id_get**](NVSMApi.md#nvsm_v1_systems1_storage_storage_id_volumes_actions_encrypt_status_volume_id_get) | **GET** /nvsm/v1/Systems/1/Storage/{StorageId}/Volumes/Actions/Encrypt.Status/{VolumeId} | 
[**nvsm_v1_systems1_storage_storage_id_volumes_actions_esp_rebuild_progress_volume_id_get**](NVSMApi.md#nvsm_v1_systems1_storage_storage_id_volumes_actions_esp_rebuild_progress_volume_id_get) | **GET** /nvsm/v1/Systems/1/Storage/{StorageId}/Volumes/Actions/Esp.Rebuild.Progress/{VolumeId} | 
[**nvsm_v1_systems1_storage_storage_id_volumes_actions_esp_rebuild_volume_id_post**](NVSMApi.md#nvsm_v1_systems1_storage_storage_id_volumes_actions_esp_rebuild_volume_id_post) | **POST** /nvsm/v1/Systems/1/Storage/{StorageId}/Volumes/Actions/Esp.Rebuild/{VolumeId} | 
[**nvsm_v1_systems1_storage_storage_id_volumes_actions_volume_rebuild_post**](NVSMApi.md#nvsm_v1_systems1_storage_storage_id_volumes_actions_volume_rebuild_post) | **POST** /nvsm/v1/Systems/1/Storage/{StorageId}/Volumes/Actions/Volume.Rebuild | 
[**nvsm_v1_systems1_storage_storage_id_volumes_actions_volume_rebuild_progress_get**](NVSMApi.md#nvsm_v1_systems1_storage_storage_id_volumes_actions_volume_rebuild_progress_get) | **GET** /nvsm/v1/Systems/1/Storage/{StorageId}/Volumes/Actions/Volume.Rebuild.Progress | 
[**nvsm_v1_systems1_storage_storage_id_volumes_actions_volume_rebuild_progress_volume_id_get**](NVSMApi.md#nvsm_v1_systems1_storage_storage_id_volumes_actions_volume_rebuild_progress_volume_id_get) | **GET** /nvsm/v1/Systems/1/Storage/{StorageId}/Volumes/Actions/Volume.Rebuild.Progress/{VolumeId} | 
[**nvsm_v1_systems1_storage_storage_id_volumes_actions_volume_rebuild_volume_id_post**](NVSMApi.md#nvsm_v1_systems1_storage_storage_id_volumes_actions_volume_rebuild_volume_id_post) | **POST** /nvsm/v1/Systems/1/Storage/{StorageId}/Volumes/Actions/Volume.Rebuild/{VolumeId} | 
[**nvsm_v1_systems_computer_system_id_actions_computer_system_oem_collect_dump_get**](NVSMApi.md#nvsm_v1_systems_computer_system_id_actions_computer_system_oem_collect_dump_get) | **GET** /nvsm/v1/Systems/{ComputerSystemId}/Actions/ComputerSystem.Oem.collectDump | 
[**nvsm_v1_systems_computer_system_id_actions_computer_system_oem_collect_dump_health_get**](NVSMApi.md#nvsm_v1_systems_computer_system_id_actions_computer_system_oem_collect_dump_health_get) | **GET** /nvsm/v1/Systems/{ComputerSystemId}/Actions/ComputerSystem.Oem.CollectDumpHealth | 
[**nvsm_v1_systems_computer_system_id_dcshwapikey_get**](NVSMApi.md#nvsm_v1_systems_computer_system_id_dcshwapikey_get) | **GET** /nvsm/v1/Systems/{ComputerSystemId}/Dcshwapikey | 
[**nvsm_v1_systems_computer_system_id_dcshwapikey_put**](NVSMApi.md#nvsm_v1_systems_computer_system_id_dcshwapikey_put) | **PUT** /nvsm/v1/Systems/{ComputerSystemId}/Dcshwapikey | 
[**nvsm_v1_systems_computer_system_id_dcshwapikey_status_job_id_get**](NVSMApi.md#nvsm_v1_systems_computer_system_id_dcshwapikey_status_job_id_get) | **GET** /nvsm/v1/Systems/{ComputerSystemId}/Dcshwapikey/Status/{JobId} | 
[**nvsm_v1_systems_computer_system_id_firmware_get**](NVSMApi.md#nvsm_v1_systems_computer_system_id_firmware_get) | **GET** /nvsm/v1/Systems/{ComputerSystemId}/Firmware | 
[**nvsm_v1_systems_computer_system_id_firmware_put**](NVSMApi.md#nvsm_v1_systems_computer_system_id_firmware_put) | **PUT** /nvsm/v1/Systems/{ComputerSystemId}/Firmware | 
[**nvsm_v1_systems_computer_system_id_firmware_status_job_id_get**](NVSMApi.md#nvsm_v1_systems_computer_system_id_firmware_status_job_id_get) | **GET** /nvsm/v1/Systems/{ComputerSystemId}/Firmware/Status/{JobId} | 
[**nvsm_v1_systems_computer_system_id_gp_us_get**](NVSMApi.md#nvsm_v1_systems_computer_system_id_gp_us_get) | **GET** /nvsm/v1/Systems/{ComputerSystemId}/GPUs | 
[**nvsm_v1_systems_computer_system_id_gp_us_gpu_id_get**](NVSMApi.md#nvsm_v1_systems_computer_system_id_gp_us_gpu_id_get) | **GET** /nvsm/v1/Systems/{ComputerSystemId}/GPUs/{GpuId} | 
[**nvsm_v1_systems_computer_system_id_gp_us_gpu_id_health_get**](NVSMApi.md#nvsm_v1_systems_computer_system_id_gp_us_gpu_id_health_get) | **GET** /nvsm/v1/Systems/{ComputerSystemId}/GPUs/{GpuId}/Health | 
[**nvsm_v1_systems_computer_system_id_gp_us_health_delete**](NVSMApi.md#nvsm_v1_systems_computer_system_id_gp_us_health_delete) | **DELETE** /nvsm/v1/Systems/{ComputerSystemId}/GPUs/Health | 
[**nvsm_v1_systems_computer_system_id_gp_us_health_get**](NVSMApi.md#nvsm_v1_systems_computer_system_id_gp_us_health_get) | **GET** /nvsm/v1/Systems/{ComputerSystemId}/GPUs/Health | 
[**nvsm_v1_systems_computer_system_id_gp_us_health_post**](NVSMApi.md#nvsm_v1_systems_computer_system_id_gp_us_health_post) | **POST** /nvsm/v1/Systems/{ComputerSystemId}/GPUs/Health | 
[**nvsm_v1_systems_computer_system_id_gp_us_pass_through_device_delete**](NVSMApi.md#nvsm_v1_systems_computer_system_id_gp_us_pass_through_device_delete) | **DELETE** /nvsm/v1/Systems/{ComputerSystemId}/GPUs/PassThroughDevice | 
[**nvsm_v1_systems_computer_system_id_gp_us_pass_through_device_get**](NVSMApi.md#nvsm_v1_systems_computer_system_id_gp_us_pass_through_device_get) | **GET** /nvsm/v1/Systems/{ComputerSystemId}/GPUs/PassThroughDevice | 
[**nvsm_v1_systems_computer_system_id_gp_us_pass_through_device_gpu_uuid_delete**](NVSMApi.md#nvsm_v1_systems_computer_system_id_gp_us_pass_through_device_gpu_uuid_delete) | **DELETE** /nvsm/v1/Systems/{ComputerSystemId}/GPUs/PassThroughDevice/{GpuUuid} | 
[**nvsm_v1_systems_computer_system_id_gp_us_pass_through_device_post**](NVSMApi.md#nvsm_v1_systems_computer_system_id_gp_us_pass_through_device_post) | **POST** /nvsm/v1/Systems/{ComputerSystemId}/GPUs/PassThroughDevice | 
[**nvsm_v1_systems_computer_system_id_gp_us_pass_through_device_put**](NVSMApi.md#nvsm_v1_systems_computer_system_id_gp_us_pass_through_device_put) | **PUT** /nvsm/v1/Systems/{ComputerSystemId}/GPUs/PassThroughDevice | 
[**nvsm_v1_systems_computer_system_id_health_get**](NVSMApi.md#nvsm_v1_systems_computer_system_id_health_get) | **GET** /nvsm/v1/Systems/{ComputerSystemId}/Health | 
[**nvsm_v1_systems_computer_system_id_health_put**](NVSMApi.md#nvsm_v1_systems_computer_system_id_health_put) | **PUT** /nvsm/v1/Systems/{ComputerSystemId}/Health | 
[**nvsm_v1_systems_computer_system_id_memory_errors_get**](NVSMApi.md#nvsm_v1_systems_computer_system_id_memory_errors_get) | **GET** /nvsm/v1/Systems/{ComputerSystemId}/Memory/Errors | 
[**nvsm_v1_systems_computer_system_id_network_objects_get**](NVSMApi.md#nvsm_v1_systems_computer_system_id_network_objects_get) | **GET** /nvsm/v1/Systems/{ComputerSystemId}/NetworkObjects | 
[**nvsm_v1_systems_computer_system_id_network_objects_object_id_get**](NVSMApi.md#nvsm_v1_systems_computer_system_id_network_objects_object_id_get) | **GET** /nvsm/v1/Systems/{ComputerSystemId}/NetworkObjects/{ObjectId} | 
[**nvsm_v1_systems_computer_system_id_nv_switches_get**](NVSMApi.md#nvsm_v1_systems_computer_system_id_nv_switches_get) | **GET** /nvsm/v1/Systems/{ComputerSystemId}/NVSwitches | 
[**nvsm_v1_systems_computer_system_id_nv_switches_nv_switch_id_get**](NVSMApi.md#nvsm_v1_systems_computer_system_id_nv_switches_nv_switch_id_get) | **GET** /nvsm/v1/Systems/{ComputerSystemId}/NVSwitches/{NVSwitchId} | 
[**nvsm_v1_systems_computer_system_id_pc_ie_devices_device_id_get**](NVSMApi.md#nvsm_v1_systems_computer_system_id_pc_ie_devices_device_id_get) | **GET** /nvsm/v1/Systems/{ComputerSystemId}/PCIeDevices/{DeviceID} | 
[**nvsm_v1_systems_computer_system_id_pc_ie_devices_get**](NVSMApi.md#nvsm_v1_systems_computer_system_id_pc_ie_devices_get) | **GET** /nvsm/v1/Systems/{ComputerSystemId}/PCIeDevices | 
[**nvsm_v1_systems_computer_system_id_pcie_errors_get**](NVSMApi.md#nvsm_v1_systems_computer_system_id_pcie_errors_get) | **GET** /nvsm/v1/Systems/{ComputerSystemId}/Pcie/Errors | 
[**nvsm_v1_systems_computer_system_id_processor_errors_get**](NVSMApi.md#nvsm_v1_systems_computer_system_id_processor_errors_get) | **GET** /nvsm/v1/Systems/{ComputerSystemId}/Processor/Errors | 
[**nvsm_v1_systems_computer_system_id_storage_storage_id_drives_drive_id_eject_post**](NVSMApi.md#nvsm_v1_systems_computer_system_id_storage_storage_id_drives_drive_id_eject_post) | **POST** /nvsm/v1/Systems/{ComputerSystemId}/Storage/{StorageId}/Drives/{DriveId}/Eject | 
[**nvsm_v1_systems_computer_system_id_storage_storage_id_drives_drive_id_led_status_get**](NVSMApi.md#nvsm_v1_systems_computer_system_id_storage_storage_id_drives_drive_id_led_status_get) | **GET** /nvsm/v1/Systems/{ComputerSystemId}/Storage/{StorageId}/Drives/{DriveId}/LEDStatus | 
[**nvsm_v1_systems_computer_system_id_storage_storage_id_drives_drive_id_led_status_put**](NVSMApi.md#nvsm_v1_systems_computer_system_id_storage_storage_id_drives_drive_id_led_status_put) | **PUT** /nvsm/v1/Systems/{ComputerSystemId}/Storage/{StorageId}/Drives/{DriveId}/LEDStatus | 
[**nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_disable_post**](NVSMApi.md#nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_disable_post) | **POST** /nvsm/v1/Systems/{ComputerSystemId}/Storage/{StorageId}/Volumes/Actions/Encrypt.Disable | 
[**nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_disable_volume_id_post**](NVSMApi.md#nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_disable_volume_id_post) | **POST** /nvsm/v1/Systems/{ComputerSystemId}/Storage/{StorageId}/Volumes/Actions/Encrypt.Disable/{VolumeId} | 
[**nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_enable_volume_id_post**](NVSMApi.md#nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_enable_volume_id_post) | **POST** /nvsm/v1/Systems/{ComputerSystemId}/Storage/{StorageId}/Volumes/Actions/Encrypt.Enable/{VolumeId} | 
[**nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_erase_volume_id_post**](NVSMApi.md#nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_erase_volume_id_post) | **POST** /nvsm/v1/Systems/{ComputerSystemId}/Storage/{StorageId}/Volumes/Actions/Encrypt.Erase/{VolumeId} | 
[**nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_export_volume_id_post**](NVSMApi.md#nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_export_volume_id_post) | **POST** /nvsm/v1/Systems/{ComputerSystemId}/Storage/{StorageId}/Volumes/Actions/Encrypt.Export/{VolumeId} | 
[**nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_factory_reset_post**](NVSMApi.md#nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_factory_reset_post) | **POST** /nvsm/v1/Systems/{ComputerSystemId}/Storage/{StorageId}/Volumes/Actions/Encrypt.FactoryReset | 
[**nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_factory_reset_volume_id_post**](NVSMApi.md#nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_factory_reset_volume_id_post) | **POST** /nvsm/v1/Systems/{ComputerSystemId}/Storage/{StorageId}/Volumes/Actions/Encrypt.FactoryReset/{VolumeId} | 
[**nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_get**](NVSMApi.md#nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_get) | **GET** /nvsm/v1/Systems/{ComputerSystemId}/Storage/{StorageId}/Volumes/Actions/Encrypt | 
[**nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_lock_volume_id_post**](NVSMApi.md#nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_lock_volume_id_post) | **POST** /nvsm/v1/Systems/{ComputerSystemId}/Storage/{StorageId}/Volumes/Actions/Encrypt.Lock/{VolumeId} | 
[**nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_rotate_volume_id_post**](NVSMApi.md#nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_rotate_volume_id_post) | **POST** /nvsm/v1/Systems/{ComputerSystemId}/Storage/{StorageId}/Volumes/Actions/Encrypt.Rotate/{VolumeId} | 
[**nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_unlock_post**](NVSMApi.md#nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_unlock_post) | **POST** /nvsm/v1/Systems/{ComputerSystemId}/Storage/{StorageId}/Volumes/Actions/Encrypt.Unlock | 
[**nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_unlock_volume_id_post**](NVSMApi.md#nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_unlock_volume_id_post) | **POST** /nvsm/v1/Systems/{ComputerSystemId}/Storage/{StorageId}/Volumes/Actions/Encrypt.Unlock/{VolumeId} | 
[**nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_volume_id_get**](NVSMApi.md#nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_volume_id_get) | **GET** /nvsm/v1/Systems/{ComputerSystemId}/Storage/{StorageId}/Volumes/Actions/Encrypt/{VolumeId} | 
[**nvsm_v1_systems_computer_system_id_stress_get**](NVSMApi.md#nvsm_v1_systems_computer_system_id_stress_get) | **GET** /nvsm/v1/Systems/{ComputerSystemId}/Stress | 
[**nvsm_v1_systems_computer_system_id_stress_post**](NVSMApi.md#nvsm_v1_systems_computer_system_id_stress_post) | **POST** /nvsm/v1/Systems/{ComputerSystemId}/Stress | 
[**nvsm_v1_versions_get**](NVSMApi.md#nvsm_v1_versions_get) | **GET** /nvsm/v1/Versions | 


# **nvsm_v1_alerts_get**
> AlertsCollection nvsm_v1_alerts_get()



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))

try:
    api_response = api_instance.nvsm_v1_alerts_get()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_alerts_get: %s\n" % e)
```


### Parameters
This endpoint does not need any parameter.

### Return type

[**AlertsCollection**](AlertsCollection.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_alerts_name_delete**
> nvsm_v1_alerts_name_delete(name, body)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
name = 'name_example' # str | Name of the Alerts category
body = NULL # object | 

try:
    api_instance.nvsm_v1_alerts_name_delete(name, body)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_alerts_name_delete: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **str**| Name of the Alerts category | 
 **body** | **object**|  | 

### Return type

void (empty response body)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_alerts_name_get**
> AlertsCollection nvsm_v1_alerts_name_get(name)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
name = 'name_example' # str | Name of the Alerts category

try:
    api_response = api_instance.nvsm_v1_alerts_name_get(name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_alerts_name_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **str**| Name of the Alerts category | 

### Return type

[**AlertsCollection**](AlertsCollection.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_alerts_name_post**
> nvsm_v1_alerts_name_post(name, body)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
name = 'name_example' # str | Name of the Alerts category
body = NULL # object | 

try:
    api_instance.nvsm_v1_alerts_name_post(name, body)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_alerts_name_post: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **str**| Name of the Alerts category | 
 **body** | **object**|  | 

### Return type

void (empty response body)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_alerts_name_put**
> nvsm_v1_alerts_name_put(name, body)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
name = 'name_example' # str | Name of the Alerts category
body = NULL # object | 

try:
    api_instance.nvsm_v1_alerts_name_put(name, body)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_alerts_name_put: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **str**| Name of the Alerts category | 
 **body** | **object**|  | 

### Return type

void (empty response body)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_bom_checks_get**
> BomCheckCollection nvsm_v1_bom_checks_get()



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))

try:
    api_response = api_instance.nvsm_v1_bom_checks_get()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_bom_checks_get: %s\n" % e)
```


### Parameters
This endpoint does not need any parameter.

### Return type

[**BomCheckCollection**](BomCheckCollection.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_call_home_get**
> CallHome nvsm_v1_call_home_get()



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))

try:
    api_response = api_instance.nvsm_v1_call_home_get()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_call_home_get: %s\n" % e)
```


### Parameters
This endpoint does not need any parameter.

### Return type

[**CallHome**](CallHome.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_call_home_put**
> nvsm_v1_call_home_put(call_home_request_body)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
call_home_request_body = nvsm_sdk.CallHomeRequestBody() # CallHomeRequestBody | 

try:
    api_instance.nvsm_v1_call_home_put(call_home_request_body)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_call_home_put: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **call_home_request_body** | [**CallHomeRequestBody**](CallHomeRequestBody.md)|  | 

### Return type

void (empty response body)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_inventory_get**
> PlatformInventory nvsm_v1_inventory_get()



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))

try:
    api_response = api_instance.nvsm_v1_inventory_get()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_inventory_get: %s\n" % e)
```


### Parameters
This endpoint does not need any parameter.

### Return type

[**PlatformInventory**](PlatformInventory.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_jobs_get**
> JobsCollection nvsm_v1_jobs_get()



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))

try:
    api_response = api_instance.nvsm_v1_jobs_get()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_jobs_get: %s\n" % e)
```


### Parameters
This endpoint does not need any parameter.

### Return type

[**JobsCollection**](JobsCollection.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_nvsm_config_get**
> object nvsm_v1_nvsm_config_get()



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))

try:
    api_response = api_instance.nvsm_v1_nvsm_config_get()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_nvsm_config_get: %s\n" % e)
```


### Parameters
This endpoint does not need any parameter.

### Return type

**object**

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_nvsm_config_post**
> str nvsm_v1_nvsm_config_post(nvsm_config_post_request)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
nvsm_config_post_request = nvsm_sdk.NvsmConfigPostRequest() # NvsmConfigPostRequest | 

try:
    api_response = api_instance.nvsm_v1_nvsm_config_post(nvsm_config_post_request)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_nvsm_config_post: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **nvsm_config_post_request** | [**NvsmConfigPostRequest**](NvsmConfigPostRequest.md)|  | 

### Return type

**str**

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_pager_duty_get**
> PagerDuty nvsm_v1_pager_duty_get()



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))

try:
    api_response = api_instance.nvsm_v1_pager_duty_get()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_pager_duty_get: %s\n" % e)
```


### Parameters
This endpoint does not need any parameter.

### Return type

[**PagerDuty**](PagerDuty.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_pager_duty_put**
> nvsm_v1_pager_duty_put(pager_duty_request_body)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
pager_duty_request_body = nvsm_sdk.PagerDutyRequestBody() # PagerDutyRequestBody | 

try:
    api_instance.nvsm_v1_pager_duty_put(pager_duty_request_body)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_pager_duty_put: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pager_duty_request_body** | [**PagerDutyRequestBody**](PagerDutyRequestBody.md)|  | 

### Return type

void (empty response body)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_platform_profile_get**
> object nvsm_v1_platform_profile_get()



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))

try:
    api_response = api_instance.nvsm_v1_platform_profile_get()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_platform_profile_get: %s\n" % e)
```


### Parameters
This endpoint does not need any parameter.

### Return type

**object**

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_policy_name_delete**
> nvsm_v1_policy_name_delete(name, body)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
name = 'name_example' # str | Name of the policy
body = NULL # object | 

try:
    api_instance.nvsm_v1_policy_name_delete(name, body)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_policy_name_delete: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **str**| Name of the policy | 
 **body** | **object**|  | 

### Return type

void (empty response body)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_policy_name_get**
> PolicyCollection nvsm_v1_policy_name_get(name)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
name = 'name_example' # str | Name of the policy

try:
    api_response = api_instance.nvsm_v1_policy_name_get(name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_policy_name_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **str**| Name of the policy | 

### Return type

[**PolicyCollection**](PolicyCollection.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_policy_name_post**
> nvsm_v1_policy_name_post(name, body)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
name = 'name_example' # str | Name of the policy
body = NULL # object | 

try:
    api_instance.nvsm_v1_policy_name_post(name, body)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_policy_name_post: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **str**| Name of the policy | 
 **body** | **object**|  | 

### Return type

void (empty response body)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_policy_name_put**
> nvsm_v1_policy_name_put(name, body)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
name = 'name_example' # str | Name of the policy
body = NULL # object | 

try:
    api_instance.nvsm_v1_policy_name_put(name, body)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_policy_name_put: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **str**| Name of the policy | 
 **body** | **object**|  | 

### Return type

void (empty response body)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_schemas_schema_name_get**
> object nvsm_v1_schemas_schema_name_get(schema_name)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
schema_name = 'schema_name_example' # str | The value of the Id property of the schema name

try:
    api_response = api_instance.nvsm_v1_schemas_schema_name_get(schema_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_schemas_schema_name_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **schema_name** | **str**| The value of the Id property of the schema name | 

### Return type

**object**

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_stress_get**
> StressResult nvsm_v1_stress_get()



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))

try:
    api_response = api_instance.nvsm_v1_stress_get()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_stress_get: %s\n" % e)
```


### Parameters
This endpoint does not need any parameter.

### Return type

[**StressResult**](StressResult.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_stress_put**
> StressPutResponse nvsm_v1_stress_put(stress_body)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
stress_body = nvsm_sdk.StressBody() # StressBody | 

try:
    api_response = api_instance.nvsm_v1_stress_put(stress_body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_stress_put: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **stress_body** | [**StressBody**](StressBody.md)|  | 

### Return type

[**StressPutResponse**](StressPutResponse.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems1_storage_storage_id_volumes_actions_encrypt_status_get**
> EncryptStatus nvsm_v1_systems1_storage_storage_id_volumes_actions_encrypt_status_get(storage_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
storage_id = 'storage_id_example' # str | The value of the Id property of the Storage resource

try:
    api_response = api_instance.nvsm_v1_systems1_storage_storage_id_volumes_actions_encrypt_status_get(storage_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems1_storage_storage_id_volumes_actions_encrypt_status_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **storage_id** | **str**| The value of the Id property of the Storage resource | 

### Return type

[**EncryptStatus**](EncryptStatus.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems1_storage_storage_id_volumes_actions_encrypt_status_volume_id_get**
> EncryptStatus nvsm_v1_systems1_storage_storage_id_volumes_actions_encrypt_status_volume_id_get(storage_id, volume_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
storage_id = 'storage_id_example' # str | The value of the Id property of the Storage resource
volume_id = 'volume_id_example' # str | The value of the Id property of the Volume resource

try:
    api_response = api_instance.nvsm_v1_systems1_storage_storage_id_volumes_actions_encrypt_status_volume_id_get(storage_id, volume_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems1_storage_storage_id_volumes_actions_encrypt_status_volume_id_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **storage_id** | **str**| The value of the Id property of the Storage resource | 
 **volume_id** | **str**| The value of the Id property of the Volume resource | 

### Return type

[**EncryptStatus**](EncryptStatus.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems1_storage_storage_id_volumes_actions_esp_rebuild_progress_volume_id_get**
> RebuildPercent nvsm_v1_systems1_storage_storage_id_volumes_actions_esp_rebuild_progress_volume_id_get(storage_id, volume_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
storage_id = 'storage_id_example' # str | The value of the Id property of the Storage resource
volume_id = 'volume_id_example' # str | The value of the Id property of the Volume resource

try:
    api_response = api_instance.nvsm_v1_systems1_storage_storage_id_volumes_actions_esp_rebuild_progress_volume_id_get(storage_id, volume_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems1_storage_storage_id_volumes_actions_esp_rebuild_progress_volume_id_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **storage_id** | **str**| The value of the Id property of the Storage resource | 
 **volume_id** | **str**| The value of the Id property of the Volume resource | 

### Return type

[**RebuildPercent**](RebuildPercent.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems1_storage_storage_id_volumes_actions_esp_rebuild_volume_id_post**
> str nvsm_v1_systems1_storage_storage_id_volumes_actions_esp_rebuild_volume_id_post(storage_id, volume_id, body=body)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
storage_id = 'storage_id_example' # str | The value of the Id property of the Storage resource
volume_id = 'volume_id_example' # str | The value of the Id property of the Volume resource
body = NULL # object |  (optional)

try:
    api_response = api_instance.nvsm_v1_systems1_storage_storage_id_volumes_actions_esp_rebuild_volume_id_post(storage_id, volume_id, body=body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems1_storage_storage_id_volumes_actions_esp_rebuild_volume_id_post: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **storage_id** | **str**| The value of the Id property of the Storage resource | 
 **volume_id** | **str**| The value of the Id property of the Volume resource | 
 **body** | **object**|  | [optional] 

### Return type

**str**

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems1_storage_storage_id_volumes_actions_volume_rebuild_post**
> str nvsm_v1_systems1_storage_storage_id_volumes_actions_volume_rebuild_post(storage_id, volume_id, volume_rebuild_request_body)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
storage_id = 'storage_id_example' # str | The value of the Id property of the Storage resource
volume_id = 'volume_id_example' # str | The value of the Id property of the Volume resource
volume_rebuild_request_body = nvsm_sdk.VolumeRebuildRequestBody() # VolumeRebuildRequestBody | 

try:
    api_response = api_instance.nvsm_v1_systems1_storage_storage_id_volumes_actions_volume_rebuild_post(storage_id, volume_id, volume_rebuild_request_body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems1_storage_storage_id_volumes_actions_volume_rebuild_post: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **storage_id** | **str**| The value of the Id property of the Storage resource | 
 **volume_id** | **str**| The value of the Id property of the Volume resource | 
 **volume_rebuild_request_body** | [**VolumeRebuildRequestBody**](VolumeRebuildRequestBody.md)|  | 

### Return type

**str**

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems1_storage_storage_id_volumes_actions_volume_rebuild_progress_get**
> RebuildPercent nvsm_v1_systems1_storage_storage_id_volumes_actions_volume_rebuild_progress_get(storage_id, volume_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
storage_id = 'storage_id_example' # str | The value of the Id property of the Storage resource
volume_id = 'volume_id_example' # str | The value of the Id property of the Volume resource

try:
    api_response = api_instance.nvsm_v1_systems1_storage_storage_id_volumes_actions_volume_rebuild_progress_get(storage_id, volume_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems1_storage_storage_id_volumes_actions_volume_rebuild_progress_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **storage_id** | **str**| The value of the Id property of the Storage resource | 
 **volume_id** | **str**| The value of the Id property of the Volume resource | 

### Return type

[**RebuildPercent**](RebuildPercent.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems1_storage_storage_id_volumes_actions_volume_rebuild_progress_volume_id_get**
> RebuildPercent nvsm_v1_systems1_storage_storage_id_volumes_actions_volume_rebuild_progress_volume_id_get(storage_id, volume_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
storage_id = 'storage_id_example' # str | The value of the Id property of the Storage resource
volume_id = 'volume_id_example' # str | The value of the Id property of the Volume resource

try:
    api_response = api_instance.nvsm_v1_systems1_storage_storage_id_volumes_actions_volume_rebuild_progress_volume_id_get(storage_id, volume_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems1_storage_storage_id_volumes_actions_volume_rebuild_progress_volume_id_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **storage_id** | **str**| The value of the Id property of the Storage resource | 
 **volume_id** | **str**| The value of the Id property of the Volume resource | 

### Return type

[**RebuildPercent**](RebuildPercent.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems1_storage_storage_id_volumes_actions_volume_rebuild_volume_id_post**
> str nvsm_v1_systems1_storage_storage_id_volumes_actions_volume_rebuild_volume_id_post(storage_id, volume_id, volume_rebuild_request_body)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
storage_id = 'storage_id_example' # str | The value of the Id property of the Storage resource
volume_id = 'volume_id_example' # str | The value of the Id property of the Volume resource
volume_rebuild_request_body = nvsm_sdk.VolumeRebuildRequestBody() # VolumeRebuildRequestBody | 

try:
    api_response = api_instance.nvsm_v1_systems1_storage_storage_id_volumes_actions_volume_rebuild_volume_id_post(storage_id, volume_id, volume_rebuild_request_body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems1_storage_storage_id_volumes_actions_volume_rebuild_volume_id_post: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **storage_id** | **str**| The value of the Id property of the Storage resource | 
 **volume_id** | **str**| The value of the Id property of the Volume resource | 
 **volume_rebuild_request_body** | [**VolumeRebuildRequestBody**](VolumeRebuildRequestBody.md)|  | 

### Return type

**str**

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_actions_computer_system_oem_collect_dump_get**
> DumpRequestBody nvsm_v1_systems_computer_system_id_actions_computer_system_oem_collect_dump_get(computer_system_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_actions_computer_system_oem_collect_dump_get(computer_system_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_actions_computer_system_oem_collect_dump_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 

### Return type

[**DumpRequestBody**](DumpRequestBody.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_actions_computer_system_oem_collect_dump_health_get**
> DumpHealthResponseBody nvsm_v1_systems_computer_system_id_actions_computer_system_oem_collect_dump_health_get(computer_system_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_actions_computer_system_oem_collect_dump_health_get(computer_system_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_actions_computer_system_oem_collect_dump_health_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 

### Return type

[**DumpHealthResponseBody**](DumpHealthResponseBody.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_dcshwapikey_get**
> Dcshwapikey nvsm_v1_systems_computer_system_id_dcshwapikey_get(computer_system_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_dcshwapikey_get(computer_system_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_dcshwapikey_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 

### Return type

[**Dcshwapikey**](Dcshwapikey.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_dcshwapikey_put**
> DcshwapikeyPutResponse nvsm_v1_systems_computer_system_id_dcshwapikey_put(computer_system_id, dcshwapikey_request_body)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
dcshwapikey_request_body = nvsm_sdk.DcshwapikeyRequestBody() # DcshwapikeyRequestBody | 

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_dcshwapikey_put(computer_system_id, dcshwapikey_request_body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_dcshwapikey_put: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **dcshwapikey_request_body** | [**DcshwapikeyRequestBody**](DcshwapikeyRequestBody.md)|  | 

### Return type

[**DcshwapikeyPutResponse**](DcshwapikeyPutResponse.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_dcshwapikey_status_job_id_get**
> DcshwapikeyStatus nvsm_v1_systems_computer_system_id_dcshwapikey_status_job_id_get(computer_system_id, job_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
job_id = 'job_id_example' # str | The value of the Id property of the Job resource

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_dcshwapikey_status_job_id_get(computer_system_id, job_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_dcshwapikey_status_job_id_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **job_id** | **str**| The value of the Id property of the Job resource | 

### Return type

[**DcshwapikeyStatus**](DcshwapikeyStatus.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_firmware_get**
> Firmware nvsm_v1_systems_computer_system_id_firmware_get(computer_system_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_firmware_get(computer_system_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_firmware_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 

### Return type

[**Firmware**](Firmware.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_firmware_put**
> FirmwarPutResponse nvsm_v1_systems_computer_system_id_firmware_put(computer_system_id, firmware_request_body)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
firmware_request_body = nvsm_sdk.FirmwareRequestBody() # FirmwareRequestBody | 

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_firmware_put(computer_system_id, firmware_request_body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_firmware_put: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **firmware_request_body** | [**FirmwareRequestBody**](FirmwareRequestBody.md)|  | 

### Return type

[**FirmwarPutResponse**](FirmwarPutResponse.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_firmware_status_job_id_get**
> FirmwareStatus nvsm_v1_systems_computer_system_id_firmware_status_job_id_get(computer_system_id, job_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
job_id = 'job_id_example' # str | The value of the Id property of the Job resource

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_firmware_status_job_id_get(computer_system_id, job_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_firmware_status_job_id_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **job_id** | **str**| The value of the Id property of the Job resource | 

### Return type

[**FirmwareStatus**](FirmwareStatus.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_gp_us_get**
> TheaStruct nvsm_v1_systems_computer_system_id_gp_us_get(computer_system_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_gp_us_get(computer_system_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_gp_us_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 

### Return type

[**TheaStruct**](TheaStruct.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_gp_us_gpu_id_get**
> GPUStruct nvsm_v1_systems_computer_system_id_gp_us_gpu_id_get(computer_system_id, gpu_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
gpu_id = 'gpu_id_example' # str | The value of the Id property of the GPU resource

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_gp_us_gpu_id_get(computer_system_id, gpu_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_gp_us_gpu_id_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **gpu_id** | **str**| The value of the Id property of the GPU resource | 

### Return type

[**GPUStruct**](GPUStruct.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_gp_us_gpu_id_health_get**
> GPUHealthResponse nvsm_v1_systems_computer_system_id_gp_us_gpu_id_health_get(computer_system_id, gpu_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
gpu_id = 'gpu_id_example' # str | The value of the Id property of the GPU resource

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_gp_us_gpu_id_health_get(computer_system_id, gpu_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_gp_us_gpu_id_health_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **gpu_id** | **str**| The value of the Id property of the GPU resource | 

### Return type

[**GPUHealthResponse**](GPUHealthResponse.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_gp_us_health_delete**
> nvsm_v1_systems_computer_system_id_gp_us_health_delete(computer_system_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource

try:
    api_instance.nvsm_v1_systems_computer_system_id_gp_us_health_delete(computer_system_id)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_gp_us_health_delete: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 

### Return type

void (empty response body)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_gp_us_health_get**
> GPUHealthResponse nvsm_v1_systems_computer_system_id_gp_us_health_get(computer_system_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_gp_us_health_get(computer_system_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_gp_us_health_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 

### Return type

[**GPUHealthResponse**](GPUHealthResponse.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_gp_us_health_post**
> nvsm_v1_systems_computer_system_id_gp_us_health_post(computer_system_id, request_body)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
request_body = NULL # list[object] | 

try:
    api_instance.nvsm_v1_systems_computer_system_id_gp_us_health_post(computer_system_id, request_body)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_gp_us_health_post: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **request_body** | [**list[object]**](list.md)|  | 

### Return type

void (empty response body)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_gp_us_pass_through_device_delete**
> nvsm_v1_systems_computer_system_id_gp_us_pass_through_device_delete(computer_system_id, body)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
body = NULL # object | 

try:
    api_instance.nvsm_v1_systems_computer_system_id_gp_us_pass_through_device_delete(computer_system_id, body)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_gp_us_pass_through_device_delete: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **body** | **object**|  | 

### Return type

void (empty response body)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_gp_us_pass_through_device_get**
> GPUPassThroughCollection nvsm_v1_systems_computer_system_id_gp_us_pass_through_device_get(computer_system_id, body)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
body = NULL # object | 

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_gp_us_pass_through_device_get(computer_system_id, body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_gp_us_pass_through_device_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **body** | **object**|  | 

### Return type

[**GPUPassThroughCollection**](GPUPassThroughCollection.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_gp_us_pass_through_device_gpu_uuid_delete**
> nvsm_v1_systems_computer_system_id_gp_us_pass_through_device_gpu_uuid_delete(computer_system_id, gpu_uuid)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
gpu_uuid = 'gpu_uuid_example' # str | The UUID of the GPU passthrough device to delete

try:
    api_instance.nvsm_v1_systems_computer_system_id_gp_us_pass_through_device_gpu_uuid_delete(computer_system_id, gpu_uuid)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_gp_us_pass_through_device_gpu_uuid_delete: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **gpu_uuid** | **str**| The UUID of the GPU passthrough device to delete | 

### Return type

void (empty response body)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_gp_us_pass_through_device_post**
> nvsm_v1_systems_computer_system_id_gp_us_pass_through_device_post(computer_system_id, body)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
body = NULL # object | 

try:
    api_instance.nvsm_v1_systems_computer_system_id_gp_us_pass_through_device_post(computer_system_id, body)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_gp_us_pass_through_device_post: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **body** | **object**|  | 

### Return type

void (empty response body)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_gp_us_pass_through_device_put**
> nvsm_v1_systems_computer_system_id_gp_us_pass_through_device_put(computer_system_id, body)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
body = NULL # object | 

try:
    api_instance.nvsm_v1_systems_computer_system_id_gp_us_pass_through_device_put(computer_system_id, body)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_gp_us_pass_through_device_put: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **body** | **object**|  | 

### Return type

void (empty response body)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_health_get**
> HealthProperties nvsm_v1_systems_computer_system_id_health_get(computer_system_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_health_get(computer_system_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_health_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 

### Return type

[**HealthProperties**](HealthProperties.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_health_put**
> HealthPutResponse nvsm_v1_systems_computer_system_id_health_put(computer_system_id, health_request_body)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
health_request_body = nvsm_sdk.HealthRequestBody() # HealthRequestBody | 

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_health_put(computer_system_id, health_request_body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_health_put: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **health_request_body** | [**HealthRequestBody**](HealthRequestBody.md)|  | 

### Return type

[**HealthPutResponse**](HealthPutResponse.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_memory_errors_get**
> DIMMErrorsList nvsm_v1_systems_computer_system_id_memory_errors_get(computer_system_id, force_refresh=force_refresh)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
force_refresh = True # bool | Force refresh (optional)

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_memory_errors_get(computer_system_id, force_refresh=force_refresh)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_memory_errors_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **force_refresh** | **bool**| Force refresh | [optional] 

### Return type

[**DIMMErrorsList**](DIMMErrorsList.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_network_objects_get**
> NetworkObjectsCollection nvsm_v1_systems_computer_system_id_network_objects_get(computer_system_id, force_refresh=force_refresh)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
force_refresh = True # bool | Force refresh (optional)

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_network_objects_get(computer_system_id, force_refresh=force_refresh)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_network_objects_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **force_refresh** | **bool**| Force refresh | [optional] 

### Return type

[**NetworkObjectsCollection**](NetworkObjectsCollection.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_network_objects_object_id_get**
> NetworkObject nvsm_v1_systems_computer_system_id_network_objects_object_id_get(computer_system_id, object_id, force_refresh=force_refresh)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
object_id = 'object_id_example' # str | The value of the Id property of the Network resource
force_refresh = True # bool | Force refresh (optional)

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_network_objects_object_id_get(computer_system_id, object_id, force_refresh=force_refresh)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_network_objects_object_id_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **object_id** | **str**| The value of the Id property of the Network resource | 
 **force_refresh** | **bool**| Force refresh | [optional] 

### Return type

[**NetworkObject**](NetworkObject.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_nv_switches_get**
> NVSwitchesStruct nvsm_v1_systems_computer_system_id_nv_switches_get(computer_system_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_nv_switches_get(computer_system_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_nv_switches_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 

### Return type

[**NVSwitchesStruct**](NVSwitchesStruct.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_nv_switches_nv_switch_id_get**
> NVSwitchStruct nvsm_v1_systems_computer_system_id_nv_switches_nv_switch_id_get(computer_system_id, nv_switch_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
nv_switch_id = 'nv_switch_id_example' # str | The value of the Id property of the NVSwitch resource

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_nv_switches_nv_switch_id_get(computer_system_id, nv_switch_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_nv_switches_nv_switch_id_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **nv_switch_id** | **str**| The value of the Id property of the NVSwitch resource | 

### Return type

[**NVSwitchStruct**](NVSwitchStruct.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_pc_ie_devices_device_id_get**
> PCIeDeviceJSON nvsm_v1_systems_computer_system_id_pc_ie_devices_device_id_get(computer_system_id, device_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
device_id = 'device_id_example' # str | Device ID

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_pc_ie_devices_device_id_get(computer_system_id, device_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_pc_ie_devices_device_id_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **device_id** | **str**| Device ID | 

### Return type

[**PCIeDeviceJSON**](PCIeDeviceJSON.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_pc_ie_devices_get**
> PCIeSystemJSON nvsm_v1_systems_computer_system_id_pc_ie_devices_get(computer_system_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_pc_ie_devices_get(computer_system_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_pc_ie_devices_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 

### Return type

[**PCIeSystemJSON**](PCIeSystemJSON.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_pcie_errors_get**
> PCIeErrorsList nvsm_v1_systems_computer_system_id_pcie_errors_get(computer_system_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_pcie_errors_get(computer_system_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_pcie_errors_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 

### Return type

[**PCIeErrorsList**](PCIeErrorsList.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_processor_errors_get**
> ProcessorErrorsList nvsm_v1_systems_computer_system_id_processor_errors_get(computer_system_id, force_refresh=force_refresh)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
force_refresh = True # bool | Force refresh (optional)

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_processor_errors_get(computer_system_id, force_refresh=force_refresh)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_processor_errors_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **force_refresh** | **bool**| Force refresh | [optional] 

### Return type

[**ProcessorErrorsList**](ProcessorErrorsList.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_storage_storage_id_drives_drive_id_eject_post**
> EjectDriveStatus nvsm_v1_systems_computer_system_id_storage_storage_id_drives_drive_id_eject_post(computer_system_id, storage_id, drive_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
storage_id = 'storage_id_example' # str | The value of the Id property of the Storage resource
drive_id = 'drive_id_example' # str | The value of the Id property of the Drive resource

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_storage_storage_id_drives_drive_id_eject_post(computer_system_id, storage_id, drive_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_storage_storage_id_drives_drive_id_eject_post: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **storage_id** | **str**| The value of the Id property of the Storage resource | 
 **drive_id** | **str**| The value of the Id property of the Drive resource | 

### Return type

[**EjectDriveStatus**](EjectDriveStatus.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_storage_storage_id_drives_drive_id_led_status_get**
> LEDStatus nvsm_v1_systems_computer_system_id_storage_storage_id_drives_drive_id_led_status_get(computer_system_id, storage_id, drive_id, led_status_code=led_status_code)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
storage_id = 'storage_id_example' # str | The value of the Id property of the Storage resource
drive_id = 'drive_id_example' # str | The value of the Id property of the Drive resource
led_status_code = nvsm_sdk.LEDStatusCode() # LEDStatusCode |  (optional)

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_storage_storage_id_drives_drive_id_led_status_get(computer_system_id, storage_id, drive_id, led_status_code=led_status_code)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_storage_storage_id_drives_drive_id_led_status_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **storage_id** | **str**| The value of the Id property of the Storage resource | 
 **drive_id** | **str**| The value of the Id property of the Drive resource | 
 **led_status_code** | [**LEDStatusCode**](LEDStatusCode.md)|  | [optional] 

### Return type

[**LEDStatus**](LEDStatus.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_storage_storage_id_drives_drive_id_led_status_put**
> nvsm_v1_systems_computer_system_id_storage_storage_id_drives_drive_id_led_status_put(computer_system_id, storage_id, drive_id, led_status_code)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
storage_id = 'storage_id_example' # str | The value of the Id property of the Storage resource
drive_id = 'drive_id_example' # str | The value of the Id property of the Drive resource
led_status_code = nvsm_sdk.LEDStatusCode() # LEDStatusCode | 

try:
    api_instance.nvsm_v1_systems_computer_system_id_storage_storage_id_drives_drive_id_led_status_put(computer_system_id, storage_id, drive_id, led_status_code)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_storage_storage_id_drives_drive_id_led_status_put: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **storage_id** | **str**| The value of the Id property of the Storage resource | 
 **drive_id** | **str**| The value of the Id property of the Drive resource | 
 **led_status_code** | [**LEDStatusCode**](LEDStatusCode.md)|  | 

### Return type

void (empty response body)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_disable_post**
> str nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_disable_post(computer_system_id, storage_id, body)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
storage_id = 'storage_id_example' # str | The value of the Id property of the Storage resource
body = 'body_example' # str | 

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_disable_post(computer_system_id, storage_id, body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_disable_post: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **storage_id** | **str**| The value of the Id property of the Storage resource | 
 **body** | **str**|  | 

### Return type

**str**

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_disable_volume_id_post**
> str nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_disable_volume_id_post(computer_system_id, storage_id, volume_id, body)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
storage_id = 'storage_id_example' # str | The value of the Id property of the Storage resource
volume_id = 'volume_id_example' # str | The value of the Id property of the Volume resource
body = 'body_example' # str | 

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_disable_volume_id_post(computer_system_id, storage_id, volume_id, body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_disable_volume_id_post: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **storage_id** | **str**| The value of the Id property of the Storage resource | 
 **volume_id** | **str**| The value of the Id property of the Volume resource | 
 **body** | **str**|  | 

### Return type

**str**

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_enable_volume_id_post**
> str nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_enable_volume_id_post(computer_system_id, storage_id, volume_id, volume_encryption_request_body)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
storage_id = 'storage_id_example' # str | The value of the Id property of the Storage resource
volume_id = 'volume_id_example' # str | The value of the Id property of the Volume resource
volume_encryption_request_body = nvsm_sdk.VolumeEncryptionRequestBody() # VolumeEncryptionRequestBody | 

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_enable_volume_id_post(computer_system_id, storage_id, volume_id, volume_encryption_request_body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_enable_volume_id_post: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **storage_id** | **str**| The value of the Id property of the Storage resource | 
 **volume_id** | **str**| The value of the Id property of the Volume resource | 
 **volume_encryption_request_body** | [**VolumeEncryptionRequestBody**](VolumeEncryptionRequestBody.md)|  | 

### Return type

**str**

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_erase_volume_id_post**
> str nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_erase_volume_id_post(computer_system_id, storage_id, volume_id, body)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
storage_id = 'storage_id_example' # str | The value of the Id property of the Storage resource
volume_id = 'volume_id_example' # str | The value of the Id property of the Volume resource
body = 'body_example' # str | 

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_erase_volume_id_post(computer_system_id, storage_id, volume_id, body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_erase_volume_id_post: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **storage_id** | **str**| The value of the Id property of the Storage resource | 
 **volume_id** | **str**| The value of the Id property of the Volume resource | 
 **body** | **str**|  | 

### Return type

**str**

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_export_volume_id_post**
> str nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_export_volume_id_post(computer_system_id, storage_id, volume_id, volume_encryption_request_body)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
storage_id = 'storage_id_example' # str | The value of the Id property of the Storage resource
volume_id = 'volume_id_example' # str | The value of the Id property of the Volume resource
volume_encryption_request_body = nvsm_sdk.VolumeEncryptionRequestBody() # VolumeEncryptionRequestBody | 

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_export_volume_id_post(computer_system_id, storage_id, volume_id, volume_encryption_request_body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_export_volume_id_post: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **storage_id** | **str**| The value of the Id property of the Storage resource | 
 **volume_id** | **str**| The value of the Id property of the Volume resource | 
 **volume_encryption_request_body** | [**VolumeEncryptionRequestBody**](VolumeEncryptionRequestBody.md)|  | 

### Return type

**str**

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_factory_reset_post**
> str nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_factory_reset_post(computer_system_id, storage_id, volume_encryption_request_body=volume_encryption_request_body)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
storage_id = 'storage_id_example' # str | The value of the Id property of the Storage resource
volume_encryption_request_body = nvsm_sdk.VolumeEncryptionRequestBody() # VolumeEncryptionRequestBody |  (optional)

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_factory_reset_post(computer_system_id, storage_id, volume_encryption_request_body=volume_encryption_request_body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_factory_reset_post: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **storage_id** | **str**| The value of the Id property of the Storage resource | 
 **volume_encryption_request_body** | [**VolumeEncryptionRequestBody**](VolumeEncryptionRequestBody.md)|  | [optional] 

### Return type

**str**

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_factory_reset_volume_id_post**
> str nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_factory_reset_volume_id_post(computer_system_id, storage_id, volume_id, volume_encryption_request_body=volume_encryption_request_body)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
storage_id = 'storage_id_example' # str | The value of the Id property of the Storage resource
volume_id = 'volume_id_example' # str | The value of the Id property of the Volume resource
volume_encryption_request_body = nvsm_sdk.VolumeEncryptionRequestBody() # VolumeEncryptionRequestBody |  (optional)

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_factory_reset_volume_id_post(computer_system_id, storage_id, volume_id, volume_encryption_request_body=volume_encryption_request_body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_factory_reset_volume_id_post: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **storage_id** | **str**| The value of the Id property of the Storage resource | 
 **volume_id** | **str**| The value of the Id property of the Volume resource | 
 **volume_encryption_request_body** | [**VolumeEncryptionRequestBody**](VolumeEncryptionRequestBody.md)|  | [optional] 

### Return type

**str**

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_get**
> DriveEncryption nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_get(computer_system_id, storage_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
storage_id = 'storage_id_example' # str | The value of the Id property of the Storage resource

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_get(computer_system_id, storage_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **storage_id** | **str**| The value of the Id property of the Storage resource | 

### Return type

[**DriveEncryption**](DriveEncryption.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_lock_volume_id_post**
> str nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_lock_volume_id_post(computer_system_id, storage_id, volume_id, body)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
storage_id = 'storage_id_example' # str | The value of the Id property of the Storage resource
volume_id = 'volume_id_example' # str | The value of the Id property of the Volume resource
body = 'body_example' # str | 

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_lock_volume_id_post(computer_system_id, storage_id, volume_id, body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_lock_volume_id_post: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **storage_id** | **str**| The value of the Id property of the Storage resource | 
 **volume_id** | **str**| The value of the Id property of the Volume resource | 
 **body** | **str**|  | 

### Return type

**str**

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_rotate_volume_id_post**
> str nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_rotate_volume_id_post(computer_system_id, storage_id, volume_id, volume_encryption_request_body)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
storage_id = 'storage_id_example' # str | The value of the Id property of the Storage resource
volume_id = 'volume_id_example' # str | The value of the Id property of the Volume resource
volume_encryption_request_body = nvsm_sdk.VolumeEncryptionRequestBody() # VolumeEncryptionRequestBody | 

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_rotate_volume_id_post(computer_system_id, storage_id, volume_id, volume_encryption_request_body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_rotate_volume_id_post: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **storage_id** | **str**| The value of the Id property of the Storage resource | 
 **volume_id** | **str**| The value of the Id property of the Volume resource | 
 **volume_encryption_request_body** | [**VolumeEncryptionRequestBody**](VolumeEncryptionRequestBody.md)|  | 

### Return type

**str**

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_unlock_post**
> str nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_unlock_post(computer_system_id, storage_id, body)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
storage_id = 'storage_id_example' # str | The value of the Id property of the Storage resource
body = 'body_example' # str | 

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_unlock_post(computer_system_id, storage_id, body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_unlock_post: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **storage_id** | **str**| The value of the Id property of the Storage resource | 
 **body** | **str**|  | 

### Return type

**str**

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_unlock_volume_id_post**
> str nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_unlock_volume_id_post(computer_system_id, storage_id, volume_id, body)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
storage_id = 'storage_id_example' # str | The value of the Id property of the Storage resource
volume_id = 'volume_id_example' # str | The value of the Id property of the Volume resource
body = 'body_example' # str | 

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_unlock_volume_id_post(computer_system_id, storage_id, volume_id, body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_unlock_volume_id_post: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **storage_id** | **str**| The value of the Id property of the Storage resource | 
 **volume_id** | **str**| The value of the Id property of the Volume resource | 
 **body** | **str**|  | 

### Return type

**str**

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_volume_id_get**
> DriveEncryption nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_volume_id_get(computer_system_id, storage_id, volume_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
storage_id = 'storage_id_example' # str | The value of the Id property of the Storage resource
volume_id = 'volume_id_example' # str | The value of the Id property of the Volume resource

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_volume_id_get(computer_system_id, storage_id, volume_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_storage_storage_id_volumes_actions_encrypt_volume_id_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **storage_id** | **str**| The value of the Id property of the Storage resource | 
 **volume_id** | **str**| The value of the Id property of the Volume resource | 

### Return type

[**DriveEncryption**](DriveEncryption.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_stress_get**
> StressGetResponse nvsm_v1_systems_computer_system_id_stress_get(computer_system_id)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_stress_get(computer_system_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_stress_get: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 

### Return type

[**StressGetResponse**](StressGetResponse.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_systems_computer_system_id_stress_post**
> StressPostResponse nvsm_v1_systems_computer_system_id_stress_post(computer_system_id, stress_post_request)



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))
computer_system_id = 'computer_system_id_example' # str | The value of the Id property of the ComputerSystem resource
stress_post_request = nvsm_sdk.StressPostRequest() # StressPostRequest | 

try:
    api_response = api_instance.nvsm_v1_systems_computer_system_id_stress_post(computer_system_id, stress_post_request)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_systems_computer_system_id_stress_post: %s\n" % e)
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **computer_system_id** | **str**| The value of the Id property of the ComputerSystem resource | 
 **stress_post_request** | [**StressPostRequest**](StressPostRequest.md)|  | 

### Return type

[**StressPostResponse**](StressPostResponse.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **nvsm_v1_versions_get**
> VersionsCollection nvsm_v1_versions_get()



### Example

* Api Key Authentication (bearerAuth): 

```python
from __future__ import print_function
import time
import nvsm_sdk
from nvsm_sdk.rest import ApiException
from pprint import pprint

# Configure API key authorization: bearerAuth
configuration = nvsm_sdk.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = nvsm_sdk.NVSMApi(nvsm_sdk.ApiClient(configuration))

try:
    api_response = api_instance.nvsm_v1_versions_get()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling NVSMApi->nvsm_v1_versions_get: %s\n" % e)
```


### Parameters
This endpoint does not need any parameter.

### Return type

[**VersionsCollection**](VersionsCollection.md)

### Authorization

[bearerAuth](../README.md#bearerAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

