# Redundancy2

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**odata_id** | **str** | The unique identifier for a resource. | 
**max_num_supported** | **int** | The maximum number of members allowable for this particular redundancy group. | [optional] 
**member_id** | **str** | The identifier for the member within the collection. | 
**min_num_needed** | **int** | The minimum number of members needed for this group to be redundant. | 
**mode** | [**RedundancyMode**](RedundancyMode.md) |  | 
**name** | **str** | The name of the resource or array member. | 
**oem** | **dict(str, object)** | The OEM extension. | [optional] 
**redundancy_set** | [**list[IdRef2]**](IdRef2.md) | The links to components of this redundancy set. | 
**redundancy_setodata_count** | **int** | The number of items in a collection. | [optional] 
**status** | [**Status**](Status.md) |  | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


