# ServiceRoot

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**odata_context** | **str** | The OData description of a payload. | [optional] 
**odata_etag** | **str** | The current ETag of the resource. | [optional] 
**odata_id** | **str** | The unique identifier for a resource. | 
**odata_type** | **str** | The type of a resource. | 
**account_service** | [**IdRef**](IdRef.md) |  | [optional] 
**certificate_service** | [**IdRef**](IdRef.md) |  | [optional] 
**chassis** | [**IdRef**](IdRef.md) |  | [optional] 
**composition_service** | [**IdRef**](IdRef.md) |  | [optional] 
**description** | **str** | The description of this resource.  Used for commonality in the schema definitions. | [optional] 
**event_service** | [**IdRef**](IdRef.md) |  | [optional] 
**fabrics** | [**IdRef**](IdRef.md) |  | [optional] 
**id** | **str** | The identifier that uniquely identifies the resource within the collection of similar resources. | 
**job_service** | [**IdRef**](IdRef.md) |  | [optional] 
**json_schemas** | [**IdRef**](IdRef.md) |  | [optional] 
**links** | [**Links2**](Links2.md) |  | 
**managers** | [**IdRef**](IdRef.md) |  | [optional] 
**name** | **str** | The name of the resource or array member. | 
**oem** | **dict(str, object)** | The OEM extension. | [optional] 
**product** | **str** | The product associated with this Redfish service. | [optional] 
**protocol_features_supported** | [**ProtocolFeaturesSupported**](ProtocolFeaturesSupported.md) |  | [optional] 
**redfish_version** | **str** | The version of the Redfish service. | [optional] 
**registries** | [**IdRef**](IdRef.md) |  | [optional] 
**resource_blocks** | [**IdRef**](IdRef.md) |  | [optional] 
**session_service** | [**IdRef**](IdRef.md) |  | [optional] 
**storage_services** | [**IdRef**](IdRef.md) |  | [optional] 
**storage_systems** | [**IdRef**](IdRef.md) |  | [optional] 
**systems** | [**IdRef**](IdRef.md) |  | [optional] 
**tasks** | [**IdRef**](IdRef.md) |  | [optional] 
**telemetry_service** | [**IdRef**](IdRef.md) |  | [optional] 
**uuid** | **str** |  | [optional] 
**update_service** | [**IdRef**](IdRef.md) |  | [optional] 
**vendor** | **str** | The vendor or manufacturer associated with this Redfish service. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


