# Specifications

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**compute_capability** | **str** | CUDA compute capability version. | 
**max_pc_ie_gen** | **str** | The maximum link generation possible with this GPU and system configuration. | 
**max_pc_ie_link_width** | **str** | The maximum link width possible with this GPU and system configuration. | 
**max_speeds** | [**ClockSpeed**](ClockSpeed.md) |  | 
**memory_size** | **str** | Total size memory present in the GPU. | 
**pc_ie_bridge_chip_type** | **str** | The type of bridge chip. Reported as N/A if doesn&#39;t exist. | 
**supported_speeds** | [**list[SupportedSpeed]**](SupportedSpeed.md) | List of possible memory and graphics clocks combinations that the GPU can operate on (not taking into account HW brake reduced clocks).&#39; | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


