# StorageController

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**odata_id** | **str** | The unique identifier for a resource. | 
**asset_tag** | **str** | The user-assigned asset tag for this storage controller. | [optional] 
**firmware_version** | **str** | The firmware version of this storage controller. | [optional] 
**identifiers** | [**list[Identifier]**](Identifier.md) | The durable names for the storage controller. | [optional] 
**manufacturer** | **str** | The manufacturer of this storage controller. | [optional] 
**member_id** | **str** | The identifier for the member within the collection. | 
**model** | **str** | The model number for the storage controller. | [optional] 
**oem** | **dict(str, object)** | The OEM extension. | [optional] 
**part_number** | **str** | The part number for this storage controller. | [optional] 
**sku** | **str** | The SKU for this storage controller. | [optional] 
**serial_number** | **str** | The serial number for this storage controller. | [optional] 
**speed_gbps** | **float** | The maximum speed of the storage controller&#39;s device interface. | [optional] 
**status** | [**Status**](Status.md) |  | [optional] 
**supported_controller_protocols** | [**list[Protocol]**](Protocol.md) | The supported set of protocols for communicating to this storage controller. | [optional] 
**supported_device_protocols** | [**list[Protocol]**](Protocol.md) | The protocols that the storage controller can use to communicate with attached devices. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


