# Task

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**odata_context** | **str** | The OData description of a payload. | [optional] 
**odata_etag** | **str** | The current ETag of the resource. | [optional] 
**odata_id** | **str** | The unique identifier for a resource. | 
**odata_type** | **str** | The type of a resource. | 
**actions** | [**Actions2**](Actions2.md) |  | [optional] 
**description** | **str** | The description of this resource.  Used for commonality in the schema definitions. | [optional] 
**end_time** | **datetime** | The date-time stamp that the task was last completed. | [optional] 
**hide_payload** | **bool** | Indicates that the contents of the Payload should be hidden from view after the Task has been created.  When set to True, the Payload object will not be returned on GET. | [optional] 
**id** | **str** | The identifier that uniquely identifies the resource within the collection of similar resources. | 
**messages** | [**list[IdRef]**](IdRef.md) | This is an array of messages associated with the task. | [optional] 
**name** | **str** | The name of the resource or array member. | 
**oem** | **dict(str, object)** | The OEM extension. | [optional] 
**payload** | [**Payload**](Payload.md) |  | [optional] 
**percent_complete** | **int** | The completion percentage of this Task. | [optional] 
**start_time** | **datetime** | The date-time stamp that the task was last started. | [optional] 
**task_monitor** | **str** | The URI of the Task Monitor for this task. | [optional] 
**task_state** | [**TaskState**](TaskState.md) |  | [optional] 
**task_status** | [**Health**](Health.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


