# Thermal

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**odata_context** | **str** | The OData description of a payload. | [optional] 
**odata_etag** | **str** | The current ETag of the resource. | [optional] 
**odata_id** | **str** | The unique identifier for a resource. | 
**odata_type** | **str** | The type of a resource. | 
**actions** | [**ThermalActions**](ThermalActions.md) |  | [optional] 
**description** | **str** | The description of this resource.  Used for commonality in the schema definitions. | [optional] 
**fans** | [**list[Fan]**](Fan.md) | This is the definition for fans. | [optional] 
**fansodata_count** | **int** | The number of items in a collection. | [optional] 
**id** | **str** | The identifier that uniquely identifies the resource within the collection of similar resources. | 
**name** | **str** | The name of the resource or array member. | 
**oem** | **dict(str, object)** | The OEM extension. | [optional] 
**redundancy** | [**list[IdRef]**](IdRef.md) | This structure is used to show redundancy for fans.  The Component ids will reference the members of the redundancy groups. | [optional] 
**redundancyodata_count** | **int** | The number of items in a collection. | [optional] 
**status** | [**Status**](Status.md) |  | [optional] 
**temperatures** | [**list[Temperature]**](Temperature.md) | This is the definition for temperature sensors. | [optional] 
**temperaturesodata_count** | **int** | The number of items in a collection. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


