# Voltage

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**odata_id** | **str** | The unique identifier for a resource. | 
**actions** | [**VoltageActions**](VoltageActions.md) |  | [optional] 
**lower_threshold_critical** | **float** | Below normal range but not yet fatal. | [optional] 
**lower_threshold_fatal** | **float** | Below normal range and is fatal. | [optional] 
**lower_threshold_non_critical** | **float** | Below normal range. | [optional] 
**max_reading_range** | **float** | Maximum value for this Voltage sensor. | [optional] 
**member_id** | **str** | This is the identifier for the member within the collection. | 
**min_reading_range** | **float** | Minimum value for this Voltage sensor. | [optional] 
**name** | **str** | Voltage sensor name. | [optional] 
**oem** | **dict(str, object)** | The OEM extension. | [optional] 
**physical_context** | [**IdRef**](IdRef.md) |  | [optional] 
**reading_volts** | **float** | The present reading of the voltage sensor. | [optional] 
**related_item** | [**list[IdRef]**](IdRef.md) | Describes the areas or devices to which this voltage measurement applies. | [optional] 
**related_itemodata_count** | **int** | The number of items in a collection. | [optional] 
**sensor_number** | **int** | A numerical identifier to represent the voltage sensor. | [optional] 
**status** | [**Status**](Status.md) |  | [optional] 
**upper_threshold_critical** | **float** | Above normal range but not yet fatal. | [optional] 
**upper_threshold_fatal** | **float** | Above normal range and is fatal. | [optional] 
**upper_threshold_non_critical** | **float** | Above normal range. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


